Sync with portage [Wed Aug 7 12:13:56 MSK 2019].

mhiretskiy 1468
root 5 years ago
parent 4abec8520f
commit 028bc010f4

Binary file not shown.

Binary file not shown.

@ -1 +1,2 @@
DIST clamav-0.101.2.tar.gz 21722932 BLAKE2B 5c2960e678510a6f829fc9333e05a45a57a704e13eb407e0f890dd5553a1f9644eb3b1122c677755237b8c682127319d447a508087bc9130d14cd2cfec92896a SHA512 f9ea4589a8081acf7b6d454d1a068da05ae6574a9070a08f9438935795cb6dc084ffb9222b11fb1623f31962f859e6536a2f5bd1de29ef6b9b314efa5edc8c7e
DIST clamav-0.101.3.tar.gz 21389753 BLAKE2B f254846dad40bd9dda650ece9dd672ca040fe4779b4f46a5cfa087808711055745d02c65f24da9589420e979a777bc435f68d25f6940ebf283cd0a8f240908b5 SHA512 285e6011ef5b68683daae7287005b2a615d7ee2fb9dac28d6db347cf7fe101da627aaec800366e83551f41afb78c6b08517def7aa30d0f0c347e54344b0b14d3

@ -0,0 +1,175 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools eutils flag-o-matic user systemd
DESCRIPTION="Clam Anti-Virus Scanner"
HOMEPAGE="https://www.clamav.net/"
SRC_URI="https://www.clamav.net/downloads/production/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE="bzip2 doc clamdtop iconv ipv6 libressl milter metadata-analysis-api selinux static-libs test uclibc xml"
CDEPEND="bzip2? ( app-arch/bzip2 )
clamdtop? ( sys-libs/ncurses:0 )
iconv? ( virtual/libiconv )
metadata-analysis-api? ( dev-libs/json-c:= )
milter? ( || ( mail-filter/libmilter mail-mta/sendmail ) )
>=sys-libs/zlib-1.2.2:=
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
sys-devel/libtool
|| ( dev-libs/libpcre2 >dev-libs/libpcre-6 )
dev-libs/libmspack
xml? ( dev-libs/libxml2 )
elibc_musl? ( sys-libs/fts-standalone )
!!<app-antivirus/clamav-0.99"
# hard block clamav < 0.99 due to linking problems Bug #567680
# openssl is now *required* see this link as to why
# https://blog.clamav.net/2014/02/introducing-openssl-as-dependency-to.html
DEPEND="${CDEPEND}
virtual/pkgconfig
test? ( dev-libs/check )"
RDEPEND="${CDEPEND}
selinux? ( sec-policy/selinux-clamav )"
DOCS=( docs/UserManual.md docs/UserManual )
HTML_DOCS=( docs/html )
PATCHES=(
"${FILESDIR}/${PN}-0.101.2-libxml2_pkgconfig.patch" #661328
"${FILESDIR}/${PN}-0.101.2-tinfo.patch" #670729
)
pkg_setup() {
enewgroup clamav
enewuser clamav -1 -1 /dev/null clamav
}
src_prepare() {
default
eautoconf
}
src_configure() {
use elibc_musl && append-ldflags -lfts
use ppc64 && append-flags -mminimal-toc
use uclibc && export ac_cv_type_error_t=yes
# according to configure help it should be
# $(use_enable xml)
# but that does not work
# do not add this, since --disable-xml seems to override
# --without-xml
econf \
$(use_enable bzip2) \
$(use_enable clamdtop) \
$(use_enable ipv6) \
$(use_enable milter) \
$(use_enable static-libs static) \
$(use_enable test check) \
$(use_with xml) \
$(use_with iconv) \
$(use_with metadata-analysis-api libjson /usr) \
--with-system-libmspack \
--cache-file="${S}"/config.cache \
--disable-experimental \
--disable-gcc-vcheck \
--disable-zlib-vcheck \
--enable-id-check \
--with-dbdir="${EPREFIX}"/var/lib/clamav \
--with-zlib="${EPREFIX}"/usr \
--disable-llvm
}
src_install() {
default
rm -rf "${ED}"/var/lib/clamav
newinitd "${FILESDIR}"/clamd.initd-r6 clamd
newconfd "${FILESDIR}"/clamd.conf-r1 clamd
systemd_dotmpfilesd "${FILESDIR}/tmpfiles.d/clamav.conf"
systemd_newunit "${FILESDIR}/clamd_at.service" "clamd@.service"
systemd_dounit "${FILESDIR}/clamd.service"
systemd_dounit "${FILESDIR}/freshclamd.service"
keepdir /var/lib/clamav
fowners clamav:clamav /var/lib/clamav
keepdir /var/log/clamav
fowners clamav:clamav /var/log/clamav
dodir /etc/logrotate.d
insinto /etc/logrotate.d
newins "${FILESDIR}"/clamav.logrotate clamav
# Modify /etc/{clamd,freshclam}.conf to be usable out of the box
sed -i -e "s:^\(Example\):\# \1:" \
-e "s:.*\(PidFile\) .*:\1 ${EPREFIX}/var/run/clamav/clamd.pid:" \
-e "s:.*\(LocalSocket\) .*:\1 ${EPREFIX}/var/run/clamav/clamd.sock:" \
-e "s:.*\(User\) .*:\1 clamav:" \
-e "s:^\#\(LogFile\) .*:\1 ${EPREFIX}/var/log/clamav/clamd.log:" \
-e "s:^\#\(LogTime\).*:\1 yes:" \
-e "s:^\#\(AllowSupplementaryGroups\).*:\1 yes:" \
"${ED}"/etc/clamd.conf.sample || die
sed -i -e "s:^\(Example\):\# \1:" \
-e "s:.*\(PidFile\) .*:\1 ${EPREFIX}/var/run/clamav/freshclam.pid:" \
-e "s:.*\(DatabaseOwner\) .*:\1 clamav:" \
-e "s:^\#\(UpdateLogFile\) .*:\1 ${EPREFIX}/var/log/clamav/freshclam.log:" \
-e "s:^\#\(NotifyClamd\).*:\1 ${EPREFIX}/etc/clamd.conf:" \
-e "s:^\#\(ScriptedUpdates\).*:\1 yes:" \
-e "s:^\#\(AllowSupplementaryGroups\).*:\1 yes:" \
"${ED}"/etc/freshclam.conf.sample || die
if use milter ; then
# MilterSocket one to include ' /' because there is a 2nd line for
# inet: which we want to leave
##dodoc "${FILESDIR}"/clamav-milter.README.gentoo
sed -i -e "s:^\(Example\):\# \1:" \
-e "s:.*\(PidFile\) .*:\1 ${EPREFIX}/var/run/clamav/clamav-milter.pid:" \
-e "s+^\#\(ClamdSocket\) .*+\1 unix:${EPREFIX}/var/run/clamav/clamd.sock+" \
-e "s:.*\(User\) .*:\1 clamav:" \
-e "s+^\#\(MilterSocket\) /.*+\1 unix:${EPREFIX}/var/run/clamav/clamav-milter.sock+" \
-e "s:^\#\(AllowSupplementaryGroups\).*:\1 yes:" \
-e "s:^\#\(LogFile\) .*:\1 ${EPREFIX}/var/log/clamav/clamav-milter.log:" \
"${ED}"/etc/clamav-milter.conf.sample || die
cat >> "${ED}"/etc/conf.d/clamd <<-EOF
MILTER_NICELEVEL=19
START_MILTER=no
EOF
systemd_newunit "${FILESDIR}/clamav-milter.service-r1" clamav-milter.service
fi
if use doc; then
einstalldocs
doman docs/man/*.[1-8]
fi
for i in clamd freshclam clamav-milter
do
[[ -f "${D}"/etc/"${i}".conf.sample ]] && mv "${D}"/etc/"${i}".conf{.sample,}
done
prune_libtool_files --all
}
src_test() {
emake quick-check
}
pkg_postinst() {
if use milter ; then
elog "For simple instructions how to setup the clamav-milter read the"
elog "clamav-milter.README.gentoo in /usr/share/doc/${PF}"
fi
if test -z $(find "${ROOT}"var/lib/clamav -maxdepth 1 -name 'main.c*' -print -quit) ; then
ewarn "You must run freshclam manually to populate the virus database files"
ewarn "before starting clamav for the first time.\n"
fi
}

Binary file not shown.

@ -19,7 +19,7 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
RESTRICT="strip"
RDEPEND="!app-arch/upx-ucl"
RDEPEND="!app-arch/upx"
S="${WORKDIR}"

@ -19,7 +19,6 @@ KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE="lzma zlib"
RDEPEND=">=dev-libs/ucl-1.02
!app-arch/upx
!app-arch/upx-bin"
DEPEND="${RDEPEND}
dev-lang/perl"

Binary file not shown.

@ -1,2 +1 @@
DIST okteta-0.26.1.tar.xz 970532 BLAKE2B c04e0c4a2665f91cde26ee28b95f768f3074a08c8fd30920c75f3ce52fdfa717e3e6cea9acf87c3c5d53c830e5badb51faa2abcebd5b55839ea4ee52874a6d4c SHA512 fa4e841c77ae255e9936b29e30fa0bc1f65594898820652ac8ba78497658ec5ef78cadf8b4d33cab09b2ee8da1d75b84377be28680b2d91c5af2dcdfe5da95e3
DIST okteta-0.26.2.tar.xz 976264 BLAKE2B 6bd0708ecab61097130ad3b96d44c4a58a7711f6d9ecc9c70d3db792728489f395e691b0157f0cf8ffc0e07b1796ce6fde9f689108c3236412ad37c4e87a210a SHA512 9d79cfecf80a7bfd4eb42ac8ee93d83140064601c16be0bed38481f7f0ea8ed2fa0aedfd16be3547f2bbd65ab483281e0ecdc0e59799040d67ecf1b4cda39246

@ -1,66 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KDE_HANDBOOK="forceoptional"
KDE_TEST="true"
VIRTUALX_REQUIRED="test"
inherit kde5
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
KEYWORDS="amd64 x86"
fi
DESCRIPTION="Hex editor by KDE"
HOMEPAGE="https://www.kde.org/applications/utilities/okteta
https://utils.kde.org/projects/okteta/"
IUSE="crypt designer"
DEPEND="
$(add_frameworks_dep kbookmarks)
$(add_frameworks_dep kcmutils)
$(add_frameworks_dep kcodecs)
$(add_frameworks_dep kcompletion)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kconfigwidgets)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kcrash)
$(add_frameworks_dep kdbusaddons)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kiconthemes)
$(add_frameworks_dep kio)
$(add_frameworks_dep kjobwidgets)
$(add_frameworks_dep knewstuff)
$(add_frameworks_dep kparts)
$(add_frameworks_dep kservice)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kxmlgui)
$(add_qt_dep qtdeclarative)
$(add_qt_dep qtgui)
$(add_qt_dep qtnetwork)
$(add_qt_dep qtprintsupport)
$(add_qt_dep qtscript 'scripttools')
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
crypt? ( app-crypt/qca:2[qt5(+)] )
designer? ( $(add_qt_dep designer) )
"
RDEPEND="${DEPEND}"
src_configure() {
local mycmakeargs=(
-DOMIT_EXAMPLES=ON
$(cmake-utils_use_find_package crypt Qca-qt5)
-DBUILD_DESIGNERPLUGIN=$(usex designer)
)
kde5_src_configure
}
src_test() {
local myctestargs=( -j1 )
kde5_src_test
}

Binary file not shown.

@ -1,2 +1,3 @@
DIST skopeo-0.1.37.tar.gz 2766509 BLAKE2B 59e3f4cf37694b4ae59fe4eca6afd8abe4f7ab1aec3c0cee409be6f0f648fd2929092ee9b5a2b167c5041202dac908cd39f693d8ae8eebf621be47f302bd885c SHA512 e2de3c65f864572fe74ca55ee107703a49855f0da71c440784b06d13ed724456cf7bf30e18a5cb15cf2e136edc688b56321cf7838a2cc66f39c4ea9d9686441e
DIST skopeo-0.1.38.tar.gz 2947365 BLAKE2B 1d2d6ea2ed677f2b068ecca9b8dcee9d31280acb3f7acd8e0a59321d178244b506f4124eba8dd0519a3f5b307a6001d05a093cdf93189eccb55cf7c9cc41895b SHA512 83e53eb7632761eb444d4f824b6fee7a2e265e386fd1ba58e2d3194750f794a0e1cdc94a76222d12f589f851c459b165756661a76c09cc9c7dd9b2d6fff2b39f
DIST skopeo-0.1.39.tar.gz 3850036 BLAKE2B e635be475f22cc25ab98e446424f4a6b0babe34f827a73f9c9c1533db782490e9af94e759ac78fbeeec1c0e1fa42eef9d09fb4e7ff1f4df654f65fe4c1a9f7b0 SHA512 c4aadc40f9d637c628cd96c204b3e9bc3a928c145521bed2e5046508fc936ff99442dda8b4a4cdd85c4d04e64a9ccee5ea8d563c6ebf4e6020d50d96b921716c

@ -0,0 +1,55 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EGO_PN=github.com/containers/skopeo
COMMIT=1cf1e06
inherit golang-vcs-snapshot bash-completion-r1
DESCRIPTION="Command line utility foroperations on container images and image repositories"
HOMEPAGE="https://github.com/containers/skopeo"
SRC_URI="https://github.com/containers/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
COMMON_DEPEND=">=app-crypt/gpgme-1.5.5:=
>=dev-libs/libassuan-2.4.3:=
dev-libs/libgpg-error:=
>=sys-fs/btrfs-progs-4.0.1
>=sys-fs/lvm2-2.02.145:="
DEPEND="${COMMON_DEPEND}
dev-go/go-md2man"
RDEPEND="${COMMON_DEPEND}"
S="${WORKDIR}/${P}/src/${EGO_PN}"
RESTRICT="test"
src_compile() {
local BUILDTAGS="containers_image_ostree_stub"
set -- env -u GOCACHE -u XDG_CACHE_HOME GOPATH="${WORKDIR}/${P}" \
go build -ldflags "-X main.gitCommit=${COMMIT}" \
-gcflags "${GOGCFLAGS}" -tags "${BUILDTAGS}" \
-o skopeo ./cmd/skopeo
echo "$@"
"$@" || die
cd docs || die
for f in *.1.md; do
go-md2man -in ${f} -out ${f%%.md} || die
done
}
src_install() {
dobin skopeo
doman docs/*.1
dobashcomp completions/bash/skopeo
insinto /etc/containers
newins default-policy.json policy.json
insinto /etc/containers/registries.d
doins default.yaml
keepdir /var/lib/atomic/sigstore
einstalldocs
}

Binary file not shown.

@ -5,3 +5,4 @@ DIST nnn-2.2.tar.gz 50955 BLAKE2B 010b68c20e7ce4ccc8df65192d7be0a76cb5a84973093d
DIST nnn-2.3.tar.gz 56286 BLAKE2B cc1d79ccf467ba47fc4b50f335e7f2a9b1962555afacc4996c986c9b962950c1f645ce9b0f0e7555a842f429dfc80a24522613d5f447c5edff13111baa57df02 SHA512 416eb08a40534ff4b92b8757c75d8e599d2ea1cbfe7cdedaccac42fd819b1f15e3da839181b232036b1d63dd8bf7c82df801cb4c456e8917fbe47a9a25fae361
DIST nnn-2.4.tar.gz 62510 BLAKE2B 40a445bcf840afd4dcd5c4e94d1ca3af9aad6a8b8c801d97420a4f5f237bbc41cc7157bc43cd3c9ce83b04af3dbd7c6ecf467cf690922cfe36cfeff5f87ef365 SHA512 b285b14bb73e81a8480b19be7adf0b6efebc632cae82cddf9f040e644dd07dfef4e5c27df2e318aaa21eb1ac4d9e20b6d89f66b8e9b481160bc49f1302806722
DIST nnn-2.5.tar.gz 71811 BLAKE2B 9b9f926fbcb6ed89a971eaa53ebffdda1de4da29bb540807fb15eb1a9b468181783fc9db56b69105d0825f640d203a6615c4c804f4b45fbc30b854eecd146fcf SHA512 eb50b5368811a9b93caa385a94b2e6a63705bd0ba1db4dc9a3a628a42d11547d53095736e4afa6f73037064b2ef883fe9a60cb048279ba0dd9889503de7e5167
DIST nnn-2.6.tar.gz 78668 BLAKE2B 5ac152e7a401d215ef0d833ecd6e67f193392ddb98f249b0b56257a6657b454bb03b73ae374a72f854c73bb423e4b39135de277e1785d480590ebe3b812b3a6b SHA512 dbb445d5f3bd64640c053d04cab7c7c6aa82034c4715236129b6079c69db57c870cf255d454aeb224c85ac9d52835999403285f1d4a4c72ea8a3d439a4e9e1eb

@ -0,0 +1,39 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit bash-completion-r1 toolchain-funcs
DESCRIPTION="The missing terminal file browser for X"
HOMEPAGE="https://github.com/jarun/nnn"
SRC_URI="https://github.com/jarun/nnn/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="sys-libs/ncurses:0=
sys-libs/readline:0="
RDEPEND="${DEPEND}"
src_prepare() {
default
tc-export CC
sed -i -e '/strip/d' Makefile || die "sed failed"
}
src_install() {
emake PREFIX="/usr" DESTDIR="${D}" install
newbashcomp misc/auto-completion/bash/nnn-completion.bash nnn
insinto /usr/share/fish/vendor_completions.d
doins misc/auto-completion/fish/nnn.fish
insinto /usr/share/zsh/site-functions
doins misc/auto-completion/zsh/_nnn
einstalldocs
}

@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>bu9zilla@gmail.com</email>
<email>m.mairkeimberger@gmail.com</email>
<name>Michael Mair-Keimberger</name>
</maintainer>
<maintainer type="project">

Binary file not shown.

@ -5,10 +5,6 @@
<email>arfrever.fta@gmail.com</email>
<name>Arfrever Frehtes Taifersar Arahesis</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="secure-delete">Enable overwriting of deleted content with zeros by default (http://sqlite.org/pragma.html#pragma_secure_delete), causing some performance penalty</flag>
<flag name="tools">Install additional tools</flag>

Binary file not shown.

@ -9,10 +9,6 @@
<email>java@gentoo.org</email>
<name>Java</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<slots>
<subslots>Soname version number of Protobuf</subslots>
</slots>

Binary file not shown.

@ -18,7 +18,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
# We can build the following SAPIs in the given order
SAPIS="embed cli cgi fpm apache2 phpdbg"

@ -18,7 +18,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
# We can build the following SAPIs in the given order
SAPIS="embed cli cgi fpm apache2 phpdbg"

@ -19,7 +19,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
S="${WORKDIR}/${PN}-${MY_PV}"

Binary file not shown.

@ -11,7 +11,7 @@ if [[ ${PV} = *9999* ]]; then
else
MY_PN="AppStream"
SRC_URI="https://www.freedesktop.org/software/appstream/releases/${MY_PN}-${PV}.tar.xz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="~amd64 ~arm arm64 ~x86"
S="${WORKDIR}/${MY_PN}-${PV}"
fi

@ -1,4 +1,5 @@
DIST ell-0.18.tar.xz 439368 BLAKE2B 9e65ed73119f322fea7177771d21e46ce9ad7d4060e50d8850451939a66bc82dcc1731ddff56458f4cd60c1b6b82b5023bb96adaf3992d3ec982ed845283c8dd SHA512 cc62d01ffaa11a491d1a3ab2898da001f0a418b968350c2bdba2f381df931e53c4281cc4287937264eee72da263844886816af9baea96d7f65309b3e47e42d31
DIST ell-0.19.tar.xz 439472 BLAKE2B 9d29f49ce401c686b2e2262310bb00552d703455dbe9190acbb479e8fa2be7a03e732250ed63c9721f6079a46841a7bbb954fd0943edf520893eccb1a4fb9b6f SHA512 f7a22d0c385d45661b7c630d39f31b67321d20635c938ef5ad3ddce7194501652381a6bfc39a1b9a404a59108977216e24e2c32f6f30fc00972a0ebca909fcab
DIST ell-0.20.tar.xz 443196 BLAKE2B 35daff12e43a27b44b60ff0fd0f10c8d6b8ba122a5825ff705394b2bfb401a90174133f63e6673690461ce2d56595186593fc65783dff2f795b83a461c3aa4b5 SHA512 91200ac000dc44ae593618c21012174af2614be0e7b33bd979aefb248e42d7bb0282f0a7ba256514dfb7657231b5fec29969c874417923f413d34c38500d4d97
DIST ell-0.21.tar.xz 448612 BLAKE2B a20e177bb2ef7620c79cecdb84e47db662d97904189c885c90232a21ca40125bee14218fe2f1f06df74b424ccdc88dcd89da12bc9bf3e86c453b9903ae93013d SHA512 7bb96194e03d0067b22745899eec3f7166dce69aeed2ece1cd362178c1b7f94d464a894417d8329554f5b707133280e6cadfbd4e3ee34a5652f396d719e6fd17
DIST ell-0.9.tar.xz 396968 BLAKE2B 566735cedd3525c4fd3fec9cec0e9b089dd60c6b79416a9c254c771729b6db9137af050f4c7f9c4c6dfa1ce33b8c7d41b877c9e3caa582c6ab9be716bd986a8b SHA512 e1208066012b9ff927baae271f94116376ccd2577d7f6510cc1444eee912988aa1c25e8e8c9195cccfa39ed48fc8c2f07bd7a414719e6ce76ee1e5bd2a64b8c3

@ -0,0 +1,46 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib-minimal
DESCRIPTION="Embedded Linux Library provides core, low-level functionality for system daemons"
HOMEPAGE="https://01.org/ell"
if [[ "${PV}" == *9999 ]] ; then
inherit autotools git-r3
EGIT_REPO_URI="https://git.kernel.org/pub/scm/libs/ell/ell.git"
else
SRC_URI="https://mirrors.edge.kernel.org/pub/linux/libs/${PN}/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
fi
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="glib pie"
RDEPEND="
glib? ( dev-libs/glib:2[${MULTILIB_USEDEP}] )
"
DEPEND="${RDEPEND}"
src_prepare() {
default
[[ "${PV}" == *9999 ]] && eautoreconf
}
multilib_src_configure() {
append-cflags "-fsigned-char" #662694
local myeconfargs=(
$(use_enable glib)
$(use_enable pie)
)
ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
}
multilib_src_install_all() {
local DOCS=( ChangeLog README )
einstalldocs
find "${ED}" -name "*.la" -delete || die
}

@ -5,6 +5,10 @@
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>
</maintainer>
<maintainer type="person">
<email>bkohler@gentoo.org</email>
<name>Ben Kohler</name>
</maintainer>
<use>
<flag name="glib">Enable <pkg>dev-libs/glib</pkg> support</flag>
</use>

@ -5,10 +5,6 @@
<email>arfrever.fta@gmail.com</email>
<name>Arfrever Frehtes Taifersar Arahesis</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<slots>
<subslots>Soname version number</subslots>
</slots>

Binary file not shown.

@ -5,10 +5,6 @@
<email>arfrever.fta@gmail.com</email>
<name>Arfrever Frehtes Taifersar Arahesis</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>

Binary file not shown.

@ -1,3 +1,4 @@
DIST google-protobuf-3.6.1-ruby.tar.gz 4485582 BLAKE2B 546c49759df784018459809b9db692c5c94aef5d717183af5cd9edd96b4c658e759f23950cdcd5dddceaaad06ea1de2a2357b9fa8c496ed5d538fc5920174da0 SHA512 1bc175d24b49de1b1e41eaf39598194e583afffb924c86c8d2e569d935af21874be76b2cbd4d9655a1d38bac3d4cd811de88bc2c72d81bad79115e69e5b0d839
DIST google-protobuf-3.8.0-ruby.tar.gz 4934577 BLAKE2B 4b86ab216e8a8b2c99c3620da9417c0562498e9d4dbf4957db186f51c62b0ed73b1322635a076b2d4054e015bdf6c8c50cc7fd0cb78d24a93b29d2a5b48f66fe SHA512 ba27c64e5193cd4a144bf0c9dc0d195fbbe6e580aaca01960362f0f185074588ca40046d3bcea76e1deae7508b722f6c5be484ea957122ae8e98229c7c3a4ad2
DIST google-protobuf-3.9.0-ruby.tar.gz 4945061 BLAKE2B 11df30465d19b5c057d8c2a18bb944f1abc725056e957fa0ec08803b8d73271daf950852e27273ff4596c88471297608d1ee571a48e615e2c411f79a2d6b5eed SHA512 eebfea7758b924939edaf44d0f51e341f4778dcf943c9e399da57cb5f52e875bda1e37e40841798232dea52082b5d59c20de69a15ddeaf00220c432f05ca0e6e
DIST google-protobuf-3.9.1-ruby.tar.gz 4947402 BLAKE2B c1e366438ca619044d84d7a75453c35b48d5f64867b7aaec78c04966d4e62223a8909a28be850156ce3d47f0e7f42e80a231ec5d814d2820e1edfa963d89e177 SHA512 9accb56c1aadef83bf27280e15a99809a3561cbd4b39d6605dec730cc112bf4fd2e9f1ac39127b32a1b87253e712be4b4f12afe4061a8f7be76266b3f4bca314

@ -0,0 +1,36 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Protocol Buffers are Google's data interchange format"
HOMEPAGE="https://developers.google.com/protocol-buffers"
SRC_URI="https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz -> ${P}-ruby.tar.gz"
RUBY_S="protobuf-${PV}/ruby"
LICENSE="BSD"
SLOT="3"
KEYWORDS="~amd64"
IUSE=""
DEPEND+=" test? ( >=dev-libs/protobuf-3.7.0 )"
each_ruby_prepare() {
sed -i -e 's:../src/protoc:protoc: ; /^task :build/ s/:compile,//' Rakefile || die
}
each_ruby_configure() {
${RUBY} -Cext/google/protobuf_c extconf.rb
}
each_ruby_compile() {
emake -Cext/google/protobuf_c V=1
cp ext/google/protobuf_c/protobuf_c.so lib/google/ || die
}

@ -2,3 +2,4 @@ DIST haml-4.0.7.gem 121856 BLAKE2B e2598df73b9bf7337c06f60b30fcf7925fa5948f46430
DIST haml-5.0.4.tar.gz 124580 BLAKE2B c22e464be26f65bd94b202b21604bb9fe3d740865832c9299d93606293794316a5262504e15583fdc2628a3015ea58f9924a9b3aab2f46340b305ad5af7968ac SHA512 125ae514f800b2dd58f7f339ef3bf8c15114c5738813d911985182d4e4b1e8551c92a89149427aa8bf3326f45c8f71f4f13f37ecb7e2bee5cb75163538f6a3a8
DIST haml-5.1.0.tar.gz 125693 BLAKE2B 0a2e9044e7468a93b5fa62adc77131a67e79fe3701f86ba9dc341a5e33a52701bad09115137c7decfac92bd7e1aa92bbe6bd0a063ef5917c9c6cf4d072a9278a SHA512 97ed4eef3f1b0748c8d7c717dffc466db9da92c862bc90f9db05043facdbe58e605f83193a0d94b8bbcf2863ca0ab95de0a31ec266ee2907aacb94346fddd875
DIST haml-5.1.1.tar.gz 125902 BLAKE2B b8564dca6a381038dae1b737b6f4a51089b96f618d684f43db6947bc738e06b073aa17241b406ed06fea48fda9c7ec759149829a5727f8da3df21da3cce22318 SHA512 fdc01762280cbece243d1ac1a3c8b6b484e3b01fcb2ff80df591d172ec6aed7240736095aa5a09149049ebb54cf24af32706772a6090c3171c84ccb069d12826
DIST haml-5.1.2.tar.gz 126059 BLAKE2B 5d805f29c28d0f6355f7b79e5724ec1639a808cfae75c26633edddcc82d964a48dbc1654b780fb706529ca22abcaba953a1af6f483386c336035c079a719e585 SHA512 405976de297bfdbd6f010442d940205c404f057a54cd7162feb400b1831af3e4e60fd05a637a2f480204428512ca7dd66c02aca22b0006d6d515c06968eb08a3

@ -0,0 +1,57 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true test"
RUBY_FAKEGEM_TASK_DOC="-Ilib doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md FAQ.md README.md REFERENCE.md"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="A ruby web page templating engine"
HOMEPAGE="http://haml.info/"
SRC_URI="https://github.com/haml/haml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="5"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
RDEPEND="${RDEPEND} !!<dev-ruby/haml-4.0.7-r2"
ruby_add_rdepend ">=dev-ruby/temple-0.8.0 dev-ruby/tilt:*"
ruby_add_bdepend "
test? (
dev-ruby/minitest:5
dev-ruby/nokogiri
dev-ruby/railties:5.2
dev-ruby/activemodel:5.2
dev-ruby/actionpack:5.2
)
doc? (
dev-ruby/yard
>=dev-ruby/maruku-0.7.2-r1
)"
all_ruby_prepare() {
sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
sed -i -e '/bundler/I s:^:#:' \
-e 's/gem "minitest"/gem "minitest", "~>5.0"/'\
-e '1igem "actionpack", "~>5.2"'\
-e '1igem "activesupport", "~>5.2"; gem "activemodel", "~>5.2"'\
-e '1igem "railties", "~>5.2"'\
test/test_helper.rb || die
# Remove test that fails when RedCloth is available
sed -i -e "/should raise error when a Tilt filters dependencies are unavailable for extension/,/^ end/ s/^/#/"\
test/filters_test.rb || die
}

@ -1 +1,2 @@
DIST rexical-1.0.5.gem 20480 BLAKE2B 6ed81f9247410aa68cec1ad02a49774da839679fa3f535691f79da42144fbcda4b0f0dac74c7c02bb08d262b66bd543a8bde05ac5871454b96a7582c228e5fff SHA512 6cf5eac36953203a2de66eccbbc8679a4d695c3f0540ab8adf7a3db37eb4e94889c64c3ce4e4e88ea52738a6733680be2105e0604d01a2e07bae10939deb03c1
DIST rexical-1.0.7.gem 22016 BLAKE2B aaadf4131fbc4958a6a17be02b970070e511dcb031fd6432fb62fb841eff36b4d5c41d8f8f295aed4ac376c49e736e5d795166f71957578c6cbe14fd6cea26be SHA512 f71c86bd9764e65ebe0c66acd5446b5da7a1b38aae9d33367d70bfa253eb53c178634ce90c883c5459622219670d4d32f375b216c3023a3109329d6930dec1fc

@ -0,0 +1,35 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc DOCUMENTATION.en.rdoc DOCUMENTATION.ja.rdoc README.ja README.rdoc"
inherit ruby-fakegem eutils
DESCRIPTION="Rexical is a lexical scanner generator"
HOMEPAGE="https://github.com/tenderlove/rexical/tree/master"
LICENSE="LGPL-2" # plus exception
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""
# File collision, bug 459116
RDEPEND+=" !!app-admin/rex"
ruby_add_bdepend "
test? (
dev-ruby/hoe
dev-ruby/minitest
)"
all_ruby_install() {
all_fakegem_install
docinto examples
dodoc sample/* || die
}

@ -1,6 +1,4 @@
DIST rouge-1.11.1.tar.gz 491281 BLAKE2B dbdc4c874f1f8fb03fc8f5c368539ea218fb4f7de36e73718bef5f657509990a634a3520d0c689db85de5f7bda6f7ae79103b2e8a1e44f6314c2253491fbd8cc SHA512 0419c4c1ca4fa4acc250349d9fd72164c7f293facc31588e5cffb533f3d321787cd3cc50acd7bfd13037d1ba77ee2f91ec37ddaeeb80180f6958f05d52181f56
DIST rouge-3.1.1.gem 282624 BLAKE2B 07074cda2634330fe26bedc370c85967f892fa239160f594ef57cb2d577812b025eda066e703b165ff72b491f718b0046afeeae7a9377ccef0315939193d1485 SHA512 3132dd891e66bbf557953bb7d0ab95be6d6978b75b37ba1ba50f2471aee1666d4228c253dbedd4a12fab6b584bba85d2327d6437788f0a9001248d9a4be1bf7c
DIST rouge-3.3.0.gem 331776 BLAKE2B c258479642d0f89f7aa0ec6366525b43e899056cdc374b2cdaef4949968eff664ba6dd9ff07f33cf9606ba1f759288e665104bfe3b5bca3446f35ec56cb506b6 SHA512 b4d043d1df7c286f7a81c85c770144da3acab946c3c53570f3d530dba9414023641c52a8ee338abddfd178e2037e7390e61f344fa4d88a690e184f180a4da35c
DIST rouge-3.5.1.tar.gz 722730 BLAKE2B 6244eb7cb74354325a4e992464ab25222f2fbe20acac1baee1a9049b5b4c4056160a0a5b7bc71a893439e974a4e58d260e8207d8a7c2f37d649e1c43d2a4ad5b SHA512 e8f6e8dabae41ca374217b3dcb3a1de6b3a46752b4af122a9731083de2e18e04b2f2a173dfa35b845d76c70530457c276b4da2098ed07d451bd2e86c12e17e18
DIST rouge-3.6.0.tar.gz 727487 BLAKE2B d5430e0dec82244c8c5fc0df3de318556f3b6c24579b34a724f20953765ab9fabfd79c5aeab3ff9d16f5f4c7db531b0b9d511938b8836207f4a64050a4bff112 SHA512 b5ec4d6325a752033d8c1e1bbe1618840bf2b5c556391ae8d978971a520f83a49d7244f0386193c947689d84d61d98137b8d8a06ed83e3c1d6769923a1c6c1c1
DIST rouge-3.7.0.tar.gz 761581 BLAKE2B 681b8447a0f56e774f155ca735fa57b18a58f7ba3a55f995c3b42927392c91891facee557ed85a9faae86a9fa3301aedca995cff9a9b3d729c1be8e0cbdb8b97 SHA512 9360a4e0d564435da1481503222794e4b5649b4ece1b410d079c69f10e89e20bdf08c9d04663919cfbb7ce7b7cf0688604649c42c2442750bb1301d68e78248f
DIST rouge-3.8.0.tar.gz 755720 BLAKE2B aca1ccbd601ee080958ccf09ab8932dc556065945f4cc2ee9b9bf5531ff41cec676005b0c7540aa058b3346c5eabac4351dd6a291ff148c9b5dfc682f7579336 SHA512 16a1cf9e9eae466c55f236f10d10bf0f5f4d523f6a680c1130b02115384691c1e2fbb14b59a6be1b9df77cc67fdb0ffe026cff6d0150230afe53f26b4c254dde

@ -1,27 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25"
RUBY_FAKEGEM_TASK_TEST="spec"
RUBY_FAKEGEM_RECIPE_DOC="yard"
inherit ruby-fakegem
DESCRIPTION="Yet-another-markdown-parser using a strict syntax definition in pure Ruby"
HOMEPAGE="https://github.com/jneen/rouge"
#SRC_URI="https://github.com/jneen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="2"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
IUSE=""
ruby_add_bdepend "doc? ( dev-ruby/redcarpet )"
ruby_add_rdepend "dev-ruby/redcarpet
!!<dev-ruby/rouge-1.11.1-r2:0"
RESTRICT="test"
# Depends on dev-ruby/minitest-power_assert, which is not packaged yet.

@ -1,27 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_TASK_TEST="spec"
RUBY_FAKEGEM_RECIPE_DOC="yard"
inherit ruby-fakegem
DESCRIPTION="Yet-another-markdown-parser using a strict syntax definition in pure Ruby"
HOMEPAGE="https://github.com/jneen/rouge"
#SRC_URI="https://github.com/jneen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="2"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
IUSE=""
ruby_add_bdepend "doc? ( dev-ruby/redcarpet )"
ruby_add_rdepend "dev-ruby/redcarpet
!!<dev-ruby/rouge-1.11.1-r2:0"
RESTRICT="test"
# Depends on dev-ruby/minitest-power_assert, which is not packaged yet.

@ -1,12 +1,14 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_TASK_TEST="spec"
RUBY_FAKEGEM_RECIPE_DOC="yard"
RUBY_FAKEGEM_GEMSPEC="rouge.gemspec"
inherit ruby-fakegem
DESCRIPTION="Yet-another-markdown-parser using a strict syntax definition in pure Ruby"
@ -24,7 +26,8 @@ ruby_add_rdepend "dev-ruby/redcarpet
!!<dev-ruby/rouge-1.11.1-r2:0"
all_ruby_prepare() {
rm -f tasks/changelog.rake || die
rm -f tasks/update/changelog.rake || die
sed -i -e '/bundler/I s:^:#: ; 5irequire "minitest-power_assert"' spec/spec_helper.rb || die
sed -i -e '/\(changelog\|bundler\)/ s:^:#: ; 1irequire "pathname"' Rakefile || die
}

Binary file not shown.

@ -1,5 +1,3 @@
DIST cmake-3.13.5.tar.gz 8618821 BLAKE2B 765678bc92821207c53bfb4ac995a791b938f20236c3a6fda873b8edd11cd1401b4f4c05f170b8f600f38bde5f1227c715499eee072a8de3bb29d4f5cd230226 SHA512 99e3a8f5bc147dd90b9cab11f06892d87f289aa1354ad323711fe96ebc9c32b1e887e8f9d3575a37831c4d2153a070ff9115c5e27a185d54170bad9dbbaabc26
DIST cmake-3.14.3.tar.gz 8851085 BLAKE2B 92da2c563f7ddc3b12457f63eead850eb99b123298632b5a9e8f80f3e32db20e2b25bc60778855400261d13d4ef42600162248f4a92907a0c581e202fc6620eb SHA512 e257a96334f21f2b2f17e8d43aa32c2b069d13194604393c5ac9d3da193000d5328181c6cf861696186d022aba57679ee2d08073d8a7112727746b2b145a47e2
DIST cmake-3.14.6.tar.gz 8861359 BLAKE2B 257a9a89fe880f8945f47a4bb1980e66f0f28ee5cebeb161012860ae8578487e50c60060ad5144ec6f5b7ea860112edd01909ebceec24b8370e3769ff2a79e99 SHA512 8cf3afadec3fe931d9f954e3148a398939cd16c1fbcb4c5303ac635e2b5029960867f317fd13a46fceebe46e7328689e847f03d7d7c74bb31e23c9cc55838f56
DIST cmake-3.15.0.tar.gz 9266870 BLAKE2B e0ab6950d96a95c972e04dcdcecbf999262ddbd753784bec81954a85730279ef0298bdd7079d2d1095a14de7be5349749b1c5d54e022c6443e041e7e75cb0bab SHA512 f7286513a215a9b9094c1f630761995dbc7f4e33c38bc5585ddc89d9b4742630962921aff59570e0de39887e0cc66df6eebc83ab478796876364d2de5d2c0d6f
DIST cmake-3.15.1.tar.gz 9268592 BLAKE2B 3b0dbca9203b1029922d06df9abc3bbfa6f7b8320e43b11b468cd7e129171e2bb1b645fc07bf2d46c9b3c08642f1a11741240d0029f96ac3b2d7a8bb44d398da SHA512 6900a84c7764034331fb6f00801841a7a3e667ac39813c35ceb3db983b33a5bf6addbbc8539c39a0c0be9e10204c79d6236886a9d50ce901a56275b53619ec73

@ -1,226 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_MAKEFILE_GENERATOR="emake"
CMAKE_REMOVE_MODULES="no"
inherit bash-completion-r1 elisp-common flag-o-matic toolchain-funcs virtualx xdg cmake-utils
MY_P="${P/_/-}"
DESCRIPTION="Cross platform Make"
HOMEPAGE="https://cmake.org/"
SRC_URI="https://cmake.org/files/v$(ver_cut 1-2)/${MY_P}.tar.gz"
LICENSE="CMake"
SLOT="0"
[[ "${PV}" = *_rc* ]] || \
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc emacs system-jsoncpp ncurses qt5 test"
RDEPEND="
app-crypt/rhash
>=app-arch/libarchive-3.0.0:=
>=dev-libs/expat-2.0.1
>=dev-libs/libuv-1.10.0:=
>=net-misc/curl-7.21.5[ssl]
sys-libs/zlib
virtual/pkgconfig
emacs? ( virtual/emacs )
ncurses? ( sys-libs/ncurses:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
system-jsoncpp? ( >=dev-libs/jsoncpp-0.6.0_rc2:0= )
"
DEPEND="${RDEPEND}"
BDEPEND="
doc? (
dev-python/requests
dev-python/sphinx
)
"
S="${WORKDIR}/${MY_P}"
SITEFILE="50${PN}-gentoo.el"
PATCHES=(
# prefix
"${FILESDIR}"/${PN}-3.4.0_rc1-darwin-bundle.patch
"${FILESDIR}"/${PN}-3.14.0_rc3-prefix-dirs.patch
# Next patch requires new work from prefix people
#"${FILESDIR}"/${PN}-3.1.0-darwin-isysroot.patch
# handle gentoo packaging in find modules
"${FILESDIR}"/${PN}-3.14.0_rc1-FindBLAS.patch
"${FILESDIR}"/${PN}-3.14.0_rc1-FindLAPACK.patch
"${FILESDIR}"/${PN}-3.5.2-FindQt4.patch
# respect python eclasses
"${FILESDIR}"/${PN}-2.8.10.2-FindPythonLibs.patch
"${FILESDIR}"/${PN}-3.9.0_rc2-FindPythonInterp.patch
# upstream fixes (can usually be removed with a version bump)
)
cmake_src_bootstrap() {
# Cleanup args to extract only JOBS.
# Because bootstrap does not know anything else.
grep -Eo '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' <<< "${MAKEOPTS}" > /dev/null
if [[ $? -eq 0 ]] ; then
par_arg=$(grep -Eo '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' <<< "${MAKEOPTS}" | tail -n1 | grep -o '[[:digit:]]+')
par_arg="--parallel=${par_arg}"
else
par_arg="--parallel=1"
fi
# disable running of cmake in boostrap command
sed -i \
-e '/"${cmake_bootstrap_dir}\/cmake"/s/^/#DONOTRUN /' \
bootstrap || die "sed failed"
# execinfo.h on Solaris isn't quite what it is on Darwin
if [[ ${CHOST} == *-solaris* ]] ; then
sed -i -e 's/execinfo\.h/blablabla.h/' \
Source/kwsys/CMakeLists.txt || die
fi
tc-export CC CXX LD
# bootstrap script isn't exactly /bin/sh compatible
${CONFIG_SHELL:-sh} ./bootstrap \
--prefix="${T}/cmakestrap/" \
${par_arg} \
|| die "Bootstrap failed"
}
cmake_src_test() {
# fix OutDir and SelectLibraryConfigurations tests
# these are altered thanks to our eclass
sed -i -e 's:^#_cmake_modify_IGNORE ::g' \
"${S}"/Tests/{OutDir,CMakeOnly/SelectLibraryConfigurations}/CMakeLists.txt \
|| die
pushd "${BUILD_DIR}" > /dev/null
local ctestargs
[[ -n ${TEST_VERBOSE} ]] && ctestargs="--extra-verbose --output-on-failure"
# Excluded tests:
# BootstrapTest: we actualy bootstrap it every time so why test it.
# BundleUtilities: bundle creation broken
# CMakeOnly.AllFindModules: pthread issues
# CTest.updatecvs: which fails to commit as root
# Fortran: requires fortran
# RunCMake.CompilerLauncher: also requires fortran
# RunCMake.CPack_RPM: breaks if app-arch/rpm is installed because
# debugedit binary is not in the expected location
# RunCMake.CPack_DEB: breaks if app-arch/dpkg is installed because
# it can't find a deb package that owns libc
# TestUpload, which requires network access
"${BUILD_DIR}"/bin/ctest \
-j "$(makeopts_jobs)" \
--test-load "$(makeopts_loadavg)" \
${ctestargs} \
-E "(BootstrapTest|BundleUtilities|CMakeOnly.AllFindModules|CompileOptions|CTest.UpdateCVS|Fortran|RunCMake.CompilerLauncher|RunCMake.CPack_(DEB|RPM)|TestUpload)" \
|| die "Tests failed"
popd > /dev/null
}
src_prepare() {
cmake-utils_src_prepare
# disable Xcode hooks, bug #652134
if [[ ${CHOST} == *-darwin* ]] ; then
sed -i -e 's/__APPLE__/__DISABLED_APPLE__/' \
Source/cmGlobalXCodeGenerator.cxx || die
fi
# Add gcc libs to the default link paths
sed -i \
-e "s|@GENTOO_PORTAGE_GCCLIBDIR@|${EPREFIX}/usr/${CHOST}/lib/|g" \
-e "$(usex prefix-guest "s|@GENTOO_HOST@||" "/@GENTOO_HOST@/d")" \
-e "s|@GENTOO_PORTAGE_EPREFIX@|${EPREFIX}/|g" \
Modules/Platform/{UnixPaths,Darwin}.cmake || die "sed failed"
if ! has_version \>=${CATEGORY}/${PN}-3.4.0_rc1 ; then
CMAKE_BINARY="${S}/Bootstrap.cmk/cmake"
cmake_src_bootstrap
fi
}
src_configure() {
# Fix linking on Solaris
[[ ${CHOST} == *-solaris* ]] && append-ldflags -lsocket -lnsl
local mycmakeargs=(
-DCMAKE_USE_SYSTEM_LIBRARIES=ON
-DCMAKE_USE_SYSTEM_LIBRARY_JSONCPP=$(usex system-jsoncpp)
-DCMAKE_INSTALL_PREFIX="${EPREFIX}"/usr
-DCMAKE_DOC_DIR=/share/doc/${PF}
-DCMAKE_MAN_DIR=/share/man
-DCMAKE_DATA_DIR=/share/${PN}
-DSPHINX_MAN=$(usex doc)
-DSPHINX_HTML=$(usex doc)
-DBUILD_CursesDialog="$(usex ncurses)"
-DBUILD_TESTING=$(usex test)
)
if use qt5 ; then
mycmakeargs+=(
-DBUILD_QtDialog=ON
$(cmake-utils_use_find_package qt5 Qt5Widgets)
)
fi
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
use emacs && elisp-compile Auxiliary/cmake-mode.el
}
src_test() {
virtx cmake_src_test
}
src_install() {
cmake-utils_src_install
if use emacs; then
elisp-install ${PN} Auxiliary/cmake-mode.el Auxiliary/cmake-mode.elc
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
fi
insinto /usr/share/vim/vimfiles/syntax
doins Auxiliary/vim/syntax/cmake.vim
insinto /usr/share/vim/vimfiles/indent
doins Auxiliary/vim/indent/cmake.vim
insinto /usr/share/vim/vimfiles/ftdetect
doins "${FILESDIR}/${PN}.vim"
dobashcomp Auxiliary/bash-completion/{${PN},ctest,cpack}
rm -r "${ED}"/usr/share/cmake/{completions,editors} || die
}
pkg_preinst() {
use qt5 && xdg_pkg_preinst
}
pkg_postinst() {
use emacs && elisp-site-regen
use qt5 && xdg_pkg_postinst
}
pkg_postrm() {
use emacs && elisp-site-regen
use qt5 && xdg_pkg_postrm
}

@ -1,226 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_MAKEFILE_GENERATOR="emake"
CMAKE_REMOVE_MODULES="no"
inherit bash-completion-r1 elisp-common flag-o-matic toolchain-funcs virtualx xdg cmake-utils
MY_P="${P/_/-}"
DESCRIPTION="Cross platform Make"
HOMEPAGE="https://cmake.org/"
SRC_URI="https://cmake.org/files/v$(ver_cut 1-2)/${MY_P}.tar.gz"
LICENSE="CMake"
SLOT="0"
[[ "${PV}" = *_rc* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc emacs system-jsoncpp ncurses qt5 test"
RDEPEND="
app-crypt/rhash
>=app-arch/libarchive-3.0.0:=
>=dev-libs/expat-2.0.1
>=dev-libs/libuv-1.10.0:=
>=net-misc/curl-7.21.5[ssl]
sys-libs/zlib
virtual/pkgconfig
emacs? ( virtual/emacs )
ncurses? ( sys-libs/ncurses:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
system-jsoncpp? ( >=dev-libs/jsoncpp-0.6.0_rc2:0= )
"
DEPEND="${RDEPEND}"
BDEPEND="
doc? (
dev-python/requests
dev-python/sphinx
)
"
S="${WORKDIR}/${MY_P}"
SITEFILE="50${PN}-gentoo.el"
PATCHES=(
# prefix
"${FILESDIR}"/${PN}-3.4.0_rc1-darwin-bundle.patch
"${FILESDIR}"/${PN}-3.14.0_rc3-prefix-dirs.patch
# Next patch requires new work from prefix people
#"${FILESDIR}"/${PN}-3.1.0-darwin-isysroot.patch
# handle gentoo packaging in find modules
"${FILESDIR}"/${PN}-3.15.0_rc2-FindBLAS.patch
"${FILESDIR}"/${PN}-3.14.0_rc1-FindLAPACK.patch
"${FILESDIR}"/${PN}-3.5.2-FindQt4.patch
# respect python eclasses
"${FILESDIR}"/${PN}-2.8.10.2-FindPythonLibs.patch
"${FILESDIR}"/${PN}-3.9.0_rc2-FindPythonInterp.patch
# upstream fixes (can usually be removed with a version bump)
)
cmake_src_bootstrap() {
# Cleanup args to extract only JOBS.
# Because bootstrap does not know anything else.
grep -Eo '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' <<< "${MAKEOPTS}" > /dev/null
if [[ $? -eq 0 ]] ; then
par_arg=$(grep -Eo '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' <<< "${MAKEOPTS}" | tail -n1 | grep -o '[[:digit:]]+')
par_arg="--parallel=${par_arg}"
else
par_arg="--parallel=1"
fi
# disable running of cmake in boostrap command
sed -i \
-e '/"${cmake_bootstrap_dir}\/cmake"/s/^/#DONOTRUN /' \
bootstrap || die "sed failed"
# execinfo.h on Solaris isn't quite what it is on Darwin
if [[ ${CHOST} == *-solaris* ]] ; then
sed -i -e 's/execinfo\.h/blablabla.h/' \
Source/kwsys/CMakeLists.txt || die
fi
tc-export CC CXX LD
# bootstrap script isn't exactly /bin/sh compatible
${CONFIG_SHELL:-sh} ./bootstrap \
--prefix="${T}/cmakestrap/" \
${par_arg} \
|| die "Bootstrap failed"
}
cmake_src_test() {
# fix OutDir and SelectLibraryConfigurations tests
# these are altered thanks to our eclass
sed -i -e 's:^#_cmake_modify_IGNORE ::g' \
"${S}"/Tests/{OutDir,CMakeOnly/SelectLibraryConfigurations}/CMakeLists.txt \
|| die
pushd "${BUILD_DIR}" > /dev/null
local ctestargs
[[ -n ${TEST_VERBOSE} ]] && ctestargs="--extra-verbose --output-on-failure"
# Excluded tests:
# BootstrapTest: we actualy bootstrap it every time so why test it.
# BundleUtilities: bundle creation broken
# CMakeOnly.AllFindModules: pthread issues
# CTest.updatecvs: which fails to commit as root
# Fortran: requires fortran
# RunCMake.CompilerLauncher: also requires fortran
# RunCMake.CPack_RPM: breaks if app-arch/rpm is installed because
# debugedit binary is not in the expected location
# RunCMake.CPack_DEB: breaks if app-arch/dpkg is installed because
# it can't find a deb package that owns libc
# TestUpload, which requires network access
"${BUILD_DIR}"/bin/ctest \
-j "$(makeopts_jobs)" \
--test-load "$(makeopts_loadavg)" \
${ctestargs} \
-E "(BootstrapTest|BundleUtilities|CMakeOnly.AllFindModules|CompileOptions|CTest.UpdateCVS|Fortran|RunCMake.CompilerLauncher|RunCMake.CPack_(DEB|RPM)|TestUpload)" \
|| die "Tests failed"
popd > /dev/null
}
src_prepare() {
cmake-utils_src_prepare
# disable Xcode hooks, bug #652134
if [[ ${CHOST} == *-darwin* ]] ; then
sed -i -e 's/__APPLE__/__DISABLED_APPLE__/' \
Source/cmGlobalXCodeGenerator.cxx || die
fi
# Add gcc libs to the default link paths
sed -i \
-e "s|@GENTOO_PORTAGE_GCCLIBDIR@|${EPREFIX}/usr/${CHOST}/lib/|g" \
-e "$(usex prefix-guest "s|@GENTOO_HOST@||" "/@GENTOO_HOST@/d")" \
-e "s|@GENTOO_PORTAGE_EPREFIX@|${EPREFIX}/|g" \
Modules/Platform/{UnixPaths,Darwin}.cmake || die "sed failed"
if ! has_version \>=${CATEGORY}/${PN}-3.4.0_rc1 ; then
CMAKE_BINARY="${S}/Bootstrap.cmk/cmake"
cmake_src_bootstrap
fi
}
src_configure() {
# Fix linking on Solaris
[[ ${CHOST} == *-solaris* ]] && append-ldflags -lsocket -lnsl
local mycmakeargs=(
-DCMAKE_USE_SYSTEM_LIBRARIES=ON
-DCMAKE_USE_SYSTEM_LIBRARY_JSONCPP=$(usex system-jsoncpp)
-DCMAKE_INSTALL_PREFIX="${EPREFIX}"/usr
-DCMAKE_DOC_DIR=/share/doc/${PF}
-DCMAKE_MAN_DIR=/share/man
-DCMAKE_DATA_DIR=/share/${PN}
-DSPHINX_MAN=$(usex doc)
-DSPHINX_HTML=$(usex doc)
-DBUILD_CursesDialog="$(usex ncurses)"
-DBUILD_TESTING=$(usex test)
)
if use qt5 ; then
mycmakeargs+=(
-DBUILD_QtDialog=ON
$(cmake-utils_use_find_package qt5 Qt5Widgets)
)
fi
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
use emacs && elisp-compile Auxiliary/cmake-mode.el
}
src_test() {
virtx cmake_src_test
}
src_install() {
cmake-utils_src_install
if use emacs; then
elisp-install ${PN} Auxiliary/cmake-mode.el Auxiliary/cmake-mode.elc
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
fi
insinto /usr/share/vim/vimfiles/syntax
doins Auxiliary/vim/syntax/cmake.vim
insinto /usr/share/vim/vimfiles/indent
doins Auxiliary/vim/indent/cmake.vim
insinto /usr/share/vim/vimfiles/ftdetect
doins "${FILESDIR}/${PN}.vim"
dobashcomp Auxiliary/bash-completion/{${PN},ctest,cpack}
rm -r "${ED}"/usr/share/cmake/{completions,editors} || die
}
pkg_preinst() {
use qt5 && xdg_pkg_preinst
}
pkg_postinst() {
use emacs && elisp-site-regen
use qt5 && xdg_pkg_postinst
}
pkg_postrm() {
use emacs && elisp-site-regen
use qt5 && xdg_pkg_postrm
}

@ -6,11 +6,7 @@
</maintainer>
<maintainer type="person">
<email>arfrever.fta@gmail.com</email>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</maintainer>
<use>
<flag name="vim">Integrate the GNU GLOBAL source code tag system with Vim</flag>
</use>

@ -1,2 +1,3 @@
DIST kdev-php-5.3.2.tar.xz 1008036 BLAKE2B 33940afeeb7b8594f0dbf56e444ba05f9665c7e4c9bc1d55c9d6a5b85bd2e03a04db1b8f27d968d627e26cfa573a3da519bb1d0eb592dc784296c9db7ea1fad8 SHA512 d8649bca173eccc1aa6568715e5976beb762ad7a377adbdab8f55aad76176ca5c8d16477ec70fa231b5699105d2a827c2ffda1c4835419c670c561b4444605b4
DIST kdev-php-5.3.3.tar.xz 1043652 BLAKE2B d181984e0c8c6b77502529dace0cb2b13afa417e98149a7caaf379fc5c27e64f7928c4232489a0e4b21af6500636a71b7217a56e500c367a579585dca6c447a9 SHA512 8a478e6170ed63ccd82822a5281abb63f70d959ae945b730d2d707efd104b0a3475a66ddb637f134d1eed90173342c1ecf42e7b15947b96c141e6228ef96a009
DIST kdev-php-5.4.0.tar.xz 1038580 BLAKE2B 5be3253a970a46504089944b52102204784269cc33d05bbfeed9ad05d413fd4ca6b1c10e23f0e9942a28218ff9d65f84a54e4ae1f49a8e284c46435efe12abc1 SHA512 6c6814720b0f2ea3e8532ecc2f53e5fd1db093bd1cf92a2c48e81535d1323e1f211da446d55992a867511ff6d3baa21b5e20fab4971ed96df2a76385f54b0b34

@ -0,0 +1,52 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KDE_DOC_DIR="docs"
KDE_HANDBOOK="forceoptional"
KDE_TEST="true"
KMNAME="kdev-php"
VIRTUALX_REQUIRED="test"
inherit kde5
if [[ ${KDE_BUILD_TYPE} = release ]]; then
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="PHP plugin for KDevelop"
HOMEPAGE="https://www.kdevelop.org/"
LICENSE="GPL-2 LGPL-2"
IUSE=""
BDEPEND="
test? ( dev-util/kdevelop:5[test] )
"
DEPEND="
$(add_frameworks_dep kcmutils)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kconfigwidgets)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kio)
$(add_frameworks_dep ktexteditor)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kxmlgui)
$(add_frameworks_dep threadweaver)
$(add_qt_dep qtgui)
$(add_qt_dep qtwidgets)
dev-util/kdevelop-pg-qt:5
dev-util/kdevelop:5=
"
RDEPEND="${DEPEND}"
# remaining tests fail for some, bug 668530
RESTRICT+=" test"
src_test() {
# tests hang, bug 667922
local myctestargs=(
-E "(completionbenchmark|duchain_multiplefiles)"
)
kde5_src_test
}

@ -1,2 +1,3 @@
DIST kdev-python-5.3.2.tar.xz 1074980 BLAKE2B de19a603d9c0fbf870b271b16d98b676ad9246edbc62f926c63ec66f51806c52fdec0284b016b291599b80d68faeb7eef80f4b5efc7e8f12f6362948b1df05c2 SHA512 95d8e0e94bfad70fabad75e362f5483db897ba56980251a76af48df863c7277746704c826692a6cec854e60c97f3ea9791b1e162b7ea2f357d469715d0a74672
DIST kdev-python-5.3.3.tar.xz 1082448 BLAKE2B 000d0e54c5e2b5eb41c6be0f82d7b6ef476bed3175f367db11fdcebf2f7063b322ac0901059a2e17391904f2ac5cffdcb48d3015665d697e89aa6e0be1ae550e SHA512 4d388b20588b4032efd677e9f152be53739a4c5c5bb3fcf37b5289da418c47281b6a545ae5825f9674b90333e69f2949e6e9b4d6704010cbb878d2ce8b3ee384
DIST kdev-python-5.4.0.tar.xz 1074108 BLAKE2B 73fdd45fb77e920bc115f7cc86a658dfbe9a0512227ab175957b070668f69d80991c7dce6f94860599b858f4890bd5992c0e397466b0407439ccee1b4d730af4 SHA512 65898596f14b8f23f05cca3b327e3cfab754ae77de2c4fa985ab8aa1816641d14adaa5db83f135ec020a9c952e4d286071a7997e7a96a04a09cd3c7fdc344361

@ -0,0 +1,47 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KDE_TEST="forceoptional"
KMNAME="kdev-python"
PYTHON_COMPAT=( python3_{5,6,7} )
inherit kde5 python-single-r1
if [[ ${KDE_BUILD_TYPE} = release ]]; then
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Python plugin for KDevelop"
HOMEPAGE="https://www.kdevelop.org/"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}
$(add_frameworks_dep kcompletion)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kio)
$(add_frameworks_dep kitemmodels)
$(add_frameworks_dep knewstuff)
$(add_frameworks_dep kparts)
$(add_frameworks_dep ktexteditor)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kxmlgui)
$(add_frameworks_dep threadweaver)
$(add_qt_dep qtgui)
$(add_qt_dep qtwidgets)
dev-util/kdevelop:5=
"
RDEPEND="${DEPEND}
dev-python/pycodestyle[${PYTHON_USEDEP}]
"
RESTRICT+=" test"
pkg_setup() {
python-single-r1_pkg_setup
kde5_pkg_setup
}

@ -1,2 +1,3 @@
DIST kdevelop-5.3.2.tar.xz 6851944 BLAKE2B b918cd0cb9b915227a442641a110db27387fd2e946c0411e40206a4a68990a9268a6c47c7f1da8a8f8a5c2690a1577c75fbbbb353d69ddfeed419e2c561aac4a SHA512 f0a8354a596a13dab0c5560d8308097918f5540b02d9a66a63155af00aa024aae9c01b455290ecafe705784a9c25afd24f7d936d1f817af1fb5b52d96e6dc596
DIST kdevelop-5.3.3.tar.xz 6977420 BLAKE2B 8cccce2b7473551dc4ee9b9b06e8777e7f98869870ed7ee797b0e3a7c27f68d75b7af0f030dc9b0302a44ff246f69ec9125994cd72e6020e2778ac55f6d593fb SHA512 a089763045f02ef3167fab1f663503cc7a6e29cd8a42d3caa8b3a71fc1b2150162504bf4404ea070f73b3786a7389b6ee5af9ff922515445b57a0041b07e7d5d
DIST kdevelop-5.4.0.tar.xz 7003004 BLAKE2B 81858bc8cc746541413301bb58befa1f854441026306c387bf6345dbbd3f343c527c5a3b35f8b8dd633674c6dde874b9492be069028bda373a64a8c41842dded SHA512 a05a702bd6d6d96fca0bbc729a98d6284598c6009663bbd93e448fbaf883d2631f9fd68d2e9b3d90432319e25c03f5115c866362ecaa2f951457ec34f41fb16f

@ -0,0 +1,134 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KDE_HANDBOOK="forceoptional"
KDE_TEST="true"
VIRTUALDBUS_TEST="true"
VIRTUALX_REQUIRED="test"
inherit kde5
if [[ ${KDE_BUILD_TYPE} = release ]]; then
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Integrated Development Environment, supporting KF5/Qt, C/C++ and much more"
HOMEPAGE="https://www.kdevelop.org/"
LICENSE="GPL-2 LGPL-2"
SLOT="5/54" # look at KDEVELOP_SOVERSION inside CMakeLists.txt
IUSE="+gdbui hex +plasma +qmake reviewboard subversion webkit"
COMMON_DEPEND="
$(add_frameworks_dep karchive)
$(add_frameworks_dep kbookmarks)
$(add_frameworks_dep kcmutils)
$(add_frameworks_dep kcodecs)
$(add_frameworks_dep kcompletion)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kconfigwidgets)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kcrash)
$(add_frameworks_dep kdeclarative)
$(add_frameworks_dep kguiaddons)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kiconthemes)
$(add_frameworks_dep kio)
$(add_frameworks_dep kitemmodels)
$(add_frameworks_dep kitemviews)
$(add_frameworks_dep kjobwidgets)
$(add_frameworks_dep knewstuff)
$(add_frameworks_dep knotifications)
$(add_frameworks_dep knotifyconfig)
$(add_frameworks_dep kparts)
$(add_frameworks_dep kservice)
$(add_frameworks_dep ktexteditor)
$(add_frameworks_dep ktextwidgets)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kwindowsystem)
$(add_frameworks_dep kxmlgui)
$(add_frameworks_dep sonnet)
$(add_frameworks_dep threadweaver)
$(add_kdeapps_dep libkomparediff2)
$(add_qt_dep qtdbus)
$(add_qt_dep qtdeclarative 'widgets')
$(add_qt_dep qtgui)
$(add_qt_dep qthelp)
$(add_qt_dep qtnetwork)
$(add_qt_dep qttest)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
dev-libs/grantlee:5
>=sys-devel/clang-3.8.0:=
gdbui? ( $(add_plasma_dep libksysguard) )
hex? ( app-editors/okteta:5 )
plasma? (
$(add_frameworks_dep krunner)
$(add_frameworks_dep plasma)
)
qmake? ( dev-util/kdevelop-pg-qt:5 )
reviewboard? ( $(add_frameworks_dep purpose) )
subversion? (
dev-libs/apr:1
dev-libs/apr-util:1
dev-vcs/subversion
)
webkit? ( >=dev-qt/qtwebkit-5.212.0_pre20180120:5 )
!webkit? ( $(add_qt_dep qtwebengine 'widgets') )
"
DEPEND="${COMMON_DEPEND}
dev-libs/boost
$(add_qt_dep qtconcurrent)
"
RDEPEND="${COMMON_DEPEND}
$(add_kdeapps_dep kapptemplate)
$(add_kdeapps_dep kio-extras)
$(add_qt_dep qtquickcontrols)
$(add_qt_dep qtquickcontrols2)
dev-util/ninja
>=sys-devel/gdb-7.0[python]
reviewboard? ( $(add_kdeapps_dep ktp-accounts-kcm) )
!dev-util/kdevelop-clang-tidy
!dev-util/kdevplatform
"
RESTRICT+=" test"
# see bug 366471
src_configure() {
local mycmakeargs=(
$(cmake-utils_use_find_package gdbui KF5SysGuard)
-DBUILD_executeplasmoid=$(usex plasma)
$(cmake-utils_use_find_package plasma KF5Plasma)
$(cmake-utils_use_find_package hex OktetaKastenControllers)
$(cmake-utils_use_find_package qmake KDevelop-PG-Qt)
$(cmake-utils_use_find_package reviewboard KF5Purpose)
$(cmake-utils_use_find_package subversion SubversionLibrary)
$(cmake-utils_use_find_package !webkit Qt5WebEngineWidgets)
)
use reviewboard || mycmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_KDEExperimentalPurpose=ON )
kde5_src_configure
}
pkg_postinst() {
kde5_pkg_postinst
if ! has_version "kde-apps/konsole" ; then
elog "For konsole view, please install kde-apps/konsole"
fi
if ! has_version "dev-util/cppcheck" ; then
elog "For static C/C++ code analysis support, please install dev-util/cppcheck"
fi
if ! has_version "dev-util/heaptrack[qt5]" ; then
elog "For heap memory profiling support, please install dev-util/heaptrack"
fi
if ! has_version "dev-util/clazy" ; then
elog "For static C++ Qt code analysis support, please install dev-util/clazy"
fi
}

@ -1 +1,2 @@
DIST sysdig-0.26.1.tar.gz 892441 BLAKE2B 38302458c54a10719fadaf5e5bb6d29931a262550eaf44350543e99cd33e6a90889d81f49096d2f57fcc903bc9245a1f782b438a48613f9fc9f90273c46f0f39 SHA512 817573dd2945e20094c548a481205d7ae700e8242a12c75bcab41c52330fb6f508214d71f3d3ba4ecc86576e555c8c2a0c155921d61d29a5861bbf982600f6fb
DIST sysdig-0.26.2.tar.gz 907496 BLAKE2B ce489d7c1a54aa2930599aa7141b1a3d4815c0395b4a444dea565334a1b39a36d339eb2bc9d0c2b3924e8c54f9c3adec6b31278017cfee955fe9ed9d3c29977f SHA512 1a2476060f43559ec89663377361d1fcaace7fe3aa3b472629dca78557e6d5868d8f5cfce3411c46804b501d6a56dcb074f6becf3d8e756b7f7fd943087cd3ae

@ -0,0 +1,88 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
MODULES_OPTIONAL_USE=modules
inherit linux-mod bash-completion-r1 cmake-utils
DESCRIPTION="A system exploration and troubleshooting tool"
HOMEPAGE="https://www.sysdig.org/"
SRC_URI="https://github.com/draios/sysdig/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0
modules? ( || ( MIT GPL-2 ) )"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="libressl +modules"
RDEPEND="
app-misc/jq:0=
dev-cpp/tbb:0=
dev-lang/luajit:2=
>=dev-libs/jsoncpp-0.6_pre:0=
dev-libs/libb64:0=
dev-libs/protobuf:0=
net-dns/c-ares:0=
net-libs/grpc:0=
sys-libs/ncurses:0=
sys-libs/zlib:0=
libressl? ( dev-libs/libressl:0= )
!libressl? ( dev-libs/openssl:0= )
net-misc/curl:0="
DEPEND="${RDEPEND}
app-arch/xz-utils
virtual/os-headers"
# needed for the kernel module
CONFIG_CHECK="HAVE_SYSCALL_TRACEPOINTS ~TRACEPOINTS"
pkg_pretend() {
linux-mod_pkg_setup
}
pkg_setup() {
linux-mod_pkg_setup
}
src_prepare() {
sed -i -e 's:-ggdb::' CMakeLists.txt || die
cmake-utils_src_prepare
}
src_configure() {
local mycmakeargs=(
# we will use linux-mod for that
-DBUILD_DRIVER=OFF
# libscap examples are not installed or really useful
-DBUILD_LIBSCAP_EXAMPLES=OFF
# unbundle the deps
-DUSE_BUNDLED_DEPS=OFF
)
cmake-utils_src_configure
# setup linux-mod ugliness
MODULE_NAMES="sysdig-probe(extra:${BUILD_DIR}/driver/src:)"
BUILD_PARAMS='KERNELDIR="${KERNEL_DIR}"'
BUILD_TARGETS="all"
}
src_compile() {
cmake-utils_src_compile
linux-mod_src_compile
}
src_install() {
cmake-utils_src_install
linux-mod_src_install
# remove sources
rm -r "${ED}"/usr/src || die
# move bashcomp to the proper location
dobashcomp "${ED}"/usr/etc/bash_completion.d/sysdig || die
rm -r "${ED}"/usr/etc || die
}

Binary file not shown.

@ -48,6 +48,7 @@ CDEPEND="
"
DEPEND="
${CDEPEND}
app-text/asciidoc
dev-libs/fribidi
media-libs/fontconfig
"

Binary file not shown.

@ -0,0 +1,23 @@
From fce700be7740704929c8bd64549ddf80774e4bda Mon Sep 17 00:00:00 2001
From: Christoph Cullmann <cullmann@kde.org>
Date: Thu, 18 Jul 2019 22:10:05 +0200
Subject: add missing header
---
kate/katemdi.cpp | 1 +
1 file changed, 1 insertion(+)
diff --git a/kate/katemdi.cpp b/kate/katemdi.cpp
index 495d1a5..8173ebe 100644
--- a/kate/katemdi.cpp
+++ b/kate/katemdi.cpp
@@ -43,6 +43,7 @@
#include <QSizePolicy>
#include <QStyle>
#include <QDomDocument>
+#include <QVBoxLayout>
namespace KateMDI
{
--
cgit v1.1

@ -53,6 +53,8 @@ RDEPEND="${DEPEND}
!kde-misc/ktexteditorpreviewplugin
"
PATCHES=( "${FILESDIR}/${P}-qt-5.12.4-missing-header.patch" )
src_prepare() {
kde5_src_prepare
# test hangs

Binary file not shown.

@ -0,0 +1,39 @@
From 886f7f4004e55f4eb3d61c15ec10d64878fc1dbd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Vr=C3=A1til?= <dvratil@kde.org>
Date: Fri, 12 Jul 2019 12:19:25 +0200
Subject: Fix build due to missing QVector include
Summary:
I get 'implicit instantiation of undefined template 'QVector<QString>'
when building against Qt 5.12.4 without this change.
Test Plan: Builds against Qt 5.12.4
Reviewers: dfaure, davidedmundson
Reviewed By: davidedmundson
Subscribers: kde-frameworks-devel
Tags: #frameworks
Differential Revision: https://phabricator.kde.org/D22414
---
src/kpackage/private/versionparser.cpp | 2 ++
1 file changed, 2 insertions(+)
diff --git a/src/kpackage/private/versionparser.cpp b/src/kpackage/private/versionparser.cpp
index 71dcd08..2411d2a 100644
--- a/src/kpackage/private/versionparser.cpp
+++ b/src/kpackage/private/versionparser.cpp
@@ -21,6 +21,8 @@
#include "package.h"
+#include <QVector>
+
namespace KPackage
{
--
cgit v1.1

@ -20,6 +20,8 @@ DEPEND="
"
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${P}-qt-5.12.4-missing-header.patch" )
src_configure() {
local mycmakeargs=(
$(cmake-utils_use_find_package man KF5DocTools)

Binary file not shown.

@ -1,3 +1,2 @@
DIST krita-4.1.8.tar.gz 244065767 BLAKE2B ba2cbb6d1575cec189e8f10461b720a081f185e1e078fc1e8194c9e6d455dade45f35f1ae5a891717918b3c03863a2a7f3f819753a106ede5695003cfa260157 SHA512 d027444415bffbd6abd29ca69598fdb1e6a652fd4f1944092ff12016a57ff2ee3bab209c93e065905ec9bfea395e50f833915bb924b97a2c119d101057cba6c9
DIST krita-4.2.4.tar.gz 246227960 BLAKE2B 94513a835526ee79c0747ed8c6004666b549d7070c02ad82800555282f319e5aa4dc1f35dafc6b4179284b244c8c80367b453548f5c8cd585154259a0512222a SHA512 c778653f8e72724d16322405fffdff5b82418c5a19021ccbada6a15389afd58f9d9017bc562eb5d91b0d4e10587bca1e616fc7ecc9ec7dbf82fae5247b81ea5e
DIST krita-4.2.5.tar.xz 170060232 BLAKE2B fba124653edad23826fd6d4d932cb1ea4c63450d460bebf2b2e2d9167e437331a31d76b19d57d9f15f603195c0eea367463ea6d9e610e74d0844bb80d21f0741 SHA512 5134c0a889cb039c5253759965acfba5cef0c431e8230236c1288e0253628feba52a493eaa42c93adb1716014c17818232294c1c90ade760ad89940833599d9e

@ -1,117 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KDE_TEST="forceoptional"
VIRTUALX_REQUIRED="test"
PYTHON_COMPAT=( python3_{5,6,7} )
inherit kde5 python-single-r1
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Free digital painting application. Digital Painting, Creative Freedom!"
HOMEPAGE="https://kde.org/applications/graphics/krita/ https://krita.org/"
LICENSE="GPL-3"
IUSE="color-management fftw gif +gsl heif +jpeg openexr pdf qtmedia +raw tiff vc"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
BDEPEND="
dev-cpp/eigen:3
dev-lang/perl
sys-devel/gettext
"
COMMON_DEPEND="${PYTHON_DEPS}
$(add_frameworks_dep karchive)
$(add_frameworks_dep kcompletion)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kcrash)
$(add_frameworks_dep kguiaddons)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kiconthemes)
$(add_frameworks_dep kitemmodels)
$(add_frameworks_dep kitemviews)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kwindowsystem)
$(add_frameworks_dep kxmlgui)
$(add_qt_dep qtconcurrent)
$(add_qt_dep qtdbus)
$(add_qt_dep qtdeclarative)
$(add_qt_dep qtgui '-gles2' '' '5=')
$(add_qt_dep qtnetwork)
$(add_qt_dep qtprintsupport)
$(add_qt_dep qtsvg)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtx11extras)
$(add_qt_dep qtxml)
dev-libs/boost:=
dev-libs/quazip
dev-python/PyQt5[${PYTHON_USEDEP}]
dev-python/sip[${PYTHON_USEDEP}]
media-gfx/exiv2:=
media-libs/lcms
media-libs/libpng:0=
sys-libs/zlib
virtual/opengl
x11-libs/libX11
x11-libs/libxcb
x11-libs/libXi
color-management? ( media-libs/opencolorio )
fftw? ( sci-libs/fftw:3.0= )
gif? ( media-libs/giflib )
gsl? ( sci-libs/gsl:= )
jpeg? ( virtual/jpeg:0 )
heif? ( media-libs/libheif:= )
openexr? (
media-libs/ilmbase:=
media-libs/openexr
)
pdf? ( app-text/poppler[qt5] )
qtmedia? ( $(add_qt_dep qtmultimedia) )
raw? ( media-libs/libraw:= )
tiff? ( media-libs/tiff:0 )
"
DEPEND="${COMMON_DEPEND}
vc? ( >=dev-libs/vc-1.1.0 )
"
RDEPEND="${COMMON_DEPEND}
!app-office/calligra:4[calligra_features_krita]
!app-office/calligra-l10n:4[calligra_features_krita(+)]
"
# bug 630508
RESTRICT+=" test"
PATCHES=( "${FILESDIR}"/${P}-tests-optional.patch )
pkg_setup() {
python-single-r1_pkg_setup
kde5_pkg_setup
}
src_configure() {
# Prevent sandbox violation from FindPyQt5.py module
# See Gentoo-bug 655918
addpredict /dev/dri
local mycmakeargs=(
$(cmake-utils_use_find_package color-management OCIO)
$(cmake-utils_use_find_package fftw FFTW3)
$(cmake-utils_use_find_package gif GIF)
$(cmake-utils_use_find_package gsl GSL)
$(cmake-utils_use_find_package heif HEIF)
$(cmake-utils_use_find_package jpeg JPEG)
$(cmake-utils_use_find_package openexr OpenEXR)
$(cmake-utils_use_find_package pdf Poppler)
$(cmake-utils_use_find_package qtmedia Qt5Multimedia)
$(cmake-utils_use_find_package raw LibRaw)
$(cmake-utils_use_find_package tiff TIFF)
$(cmake-utils_use_find_package vc Vc)
)
kde5_src_configure
}

Binary file not shown.

@ -7,7 +7,7 @@ if [[ "${PV#9999}" != "${PV}" ]] ; then
inherit git-r3
EGIT_REPO_URI="https://code.videolan.org/videolan/libbluray.git"
else
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="~amd64 ~arm arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
SRC_URI="https://downloads.videolan.org/pub/videolan/libbluray/${PV}/${P}.tar.bz2"
fi

Binary file not shown.

@ -1,3 +1,4 @@
DIST mpd-0.21.10.tar.xz 670952 BLAKE2B efebbd5202b82e52800ff7e4f60fb9e7606e0b07cb157cf0bf04859887316a8466976095bc1cb83479f76f4a54074967ecfd3bbd1bf703e6ff6d5b8ad75a7816 SHA512 42272ab5f767c5a6b907f5dd922ca35abc759dfbb4769a235261fdf0433a0f70494f503255403d41dfd34902bd6aff21f48291b24fd5bc260a5fdef53800c991
DIST mpd-0.21.11.tar.xz 671444 BLAKE2B d10e65103e9c0c6dfc44f8d4858c202ad68a5e7a44bd7dd473b7f78c697b20ab7d52d2bff0f7e7434ce06b1afb9a68e6f71ca6148efdf51e122c463506b356b2 SHA512 40e25428295f1bded618872c1450f6836c46b2e788dca06d0af134b939a25a7a9a215273bb005306df288e5dc5ccb44d4054c47e5583e54b970fa252e4b030a7
DIST mpd-0.21.12.tar.xz 672144 BLAKE2B 06eda513314fcb028784115cfc378d0d6482174565ee843a2025af7b2af1fdd7dfadc05b08981e227d11b615aa457f979e80170bc1a91886648f464772240ece SHA512 d35eb7162cfb50c10d57d1d4b035f6c4f7088fb930add97c2159c7b29ab9d7ed33a8b4d22640af78527387305b9f5d380c7c03b98cf957dc1519f772d842e7e3
DIST mpd-0.21.13.tar.xz 672184 BLAKE2B 5aad54f0d747034f3e43f741ecaeff8317a91192c125a4631e99978f7f9c7274a921a05b92a4496fb53f70ee428321f5ae92f96386e439733c028664d80c4dc1 SHA512 626e658b4d53408be5419ce3a93a19005da5c5386119b241c1572eaaba96a628f941d5f46977de08e1de736eeab6cd6ba274d5df8f1df3e3f4b0df064a6ec43d

@ -0,0 +1,296 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic linux-info meson systemd user
DESCRIPTION="The Music Player Daemon (mpd)"
HOMEPAGE="https://www.musicpd.org https://github.com/MusicPlayerDaemon/MPD"
SRC_URI="https://www.musicpd.org/download/${PN}/${PV%.*}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sh ~x86 ~x86-fbsd ~x64-macos"
IUSE="adplug +alsa ao audiofile bzip2 cdio chromaprint +cue +curl +dbus debug
+eventfd expat faad +ffmpeg +fifo flac fluidsynth gme +icu +id3tag +inotify
+ipv6 jack lame libav libmpdclient libsamplerate libsoxr +mad mikmod mms
modplug mpg123 musepack +network nfs openal opus oss pipe pulseaudio qobuz
recorder samba selinux sid signalfd sndfile soundcloud sqlite systemd tcpd
test tidal twolame udisks unicode vorbis wavpack webdav wildmidi upnp
zeroconf zip zlib"
OUTPUT_PLUGINS="alsa ao fifo jack network openal oss pipe pulseaudio recorder"
DECODER_PLUGINS="adplug audiofile faad ffmpeg flac fluidsynth mad mikmod
modplug mpg123 musepack flac sid vorbis wavpack wildmidi"
ENCODER_PLUGINS="audiofile flac lame twolame vorbis"
REQUIRED_USE="
|| ( ${OUTPUT_PLUGINS} )
|| ( ${DECODER_PLUGINS} )
network? ( || ( ${ENCODER_PLUGINS} ) )
recorder? ( || ( ${ENCODER_PLUGINS} ) )
upnp? ( expat )
webdav? ( curl expat )
"
RESTRICT="!test? ( test )"
RDEPEND="
adplug? ( media-libs/adplug:= )
alsa? (
media-libs/alsa-lib
media-sound/alsa-utils
)
ao? ( media-libs/libao[alsa?,pulseaudio?] )
audiofile? ( media-libs/audiofile:= )
cdio? (
dev-libs/libcdio:=
dev-libs/libcdio-paranoia
)
chromaprint? ( media-libs/chromaprint )
curl? ( net-misc/curl )
dbus? ( sys-apps/dbus )
expat? ( dev-libs/expat )
faad? ( media-libs/faad2 )
ffmpeg? (
libav? ( media-video/libav:0= )
!libav? ( media-video/ffmpeg:0= )
)
flac? ( media-libs/flac )
fluidsynth? ( media-sound/fluidsynth )
gme? ( >=media-libs/game-music-emu-0.6.0_pre20120802 )
icu? ( dev-libs/icu:= )
id3tag? ( media-libs/libid3tag )
jack? ( virtual/jack )
lame? ( network? ( media-sound/lame ) )
libmpdclient? ( media-libs/libmpdclient )
libsamplerate? ( media-libs/libsamplerate )
libsoxr? ( media-libs/soxr )
mad? ( media-libs/libmad )
mikmod? ( media-libs/libmikmod )
mms? ( media-libs/libmms )
modplug? ( media-libs/libmodplug )
mpg123? ( media-sound/mpg123 )
musepack? ( media-sound/musepack-tools )
network? ( media-libs/libshout )
nfs? ( net-fs/libnfs )
openal? ( media-libs/openal )
opus? ( media-libs/opus )
pulseaudio? ( media-sound/pulseaudio )
qobuz? ( dev-libs/libgcrypt:0 )
samba? ( net-fs/samba )
selinux? ( sec-policy/selinux-mpd )
sid? ( || (
media-libs/libsidplay:2
media-libs/libsidplayfp
) )
sndfile? ( media-libs/libsndfile )
soundcloud? ( >=dev-libs/yajl-2:= )
sqlite? ( dev-db/sqlite:3 )
systemd? ( sys-apps/systemd )
tcpd? ( sys-apps/tcp-wrappers )
twolame? ( media-sound/twolame )
udisks? ( sys-fs/udisks:2 )
upnp? ( net-libs/libupnp:0 )
vorbis? ( media-libs/libvorbis )
wavpack? ( media-sound/wavpack )
wildmidi? ( media-sound/wildmidi )
zeroconf? ( net-dns/avahi[dbus] )
zip? ( dev-libs/zziplib )
zlib? ( sys-libs/zlib:= )"
DEPEND="${RDEPEND}
>=dev-libs/boost-1.58:=
test? ( dev-cpp/gtest )"
BDEPEND=">=dev-util/meson-0.49.2
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PN}-0.18.conf.patch
)
pkg_setup() {
enewuser mpd "" "" "/var/lib/mpd" audio
if use eventfd; then
CONFIG_CHECK+=" ~EVENTFD"
ERROR_EVENTFD="${P} requires eventfd in-kernel support."
fi
if use signalfd; then
CONFIG_CHECK+=" ~SIGNALFD"
ERROR_SIGNALFD="${P} requires signalfd in-kernel support."
fi
if use inotify; then
CONFIG_CHECK+=" ~INOTIFY_USER"
ERROR_INOTIFY_USER="${P} requires inotify in-kernel support."
fi
if use eventfd || use signalfd || use inotify; then
linux-info_pkg_setup
fi
elog "If you will be starting mpd via /etc/init.d/mpd, please make
sure that MPD's pid_file is _set_."
}
src_prepare() {
cp -f doc/mpdconf.example doc/mpdconf.dist || die "cp failed"
default
}
src_configure() {
local emesonargs=(
-Dbzip2=$(usex bzip2 enabled disabled)
-Dcdio_paranoia=$(usex cdio enabled disabled)
-Dchromaprint=$(usex chromaprint enabled disabled)
-Dcue=$(usex cue true false)
-Dcurl=$(usex curl enabled disabled)
-Ddbus=$(usex dbus enabled disabled)
-Ddebug=$(usex debug true false)
-Deventfd=$(usex eventfd true false)
-Dexpat=$(usex expat enabled disabled)
-Dicu=$(usex icu enabled disabled)
-Did3tag=$(usex id3tag enabled disabled)
-Dinotify=$(usex inotify true false)
-Dipv6=$(usex ipv6 enabled disabled)
-Diso9660=$(usex cdio enabled disabled)
-Dlibmpdclient=$(usex libmpdclient enabled disabled)
-Dlibsamplerate=$(usex libsamplerate enabled disabled)
-Dlibwrap=$(usex tcpd enabled disabled)
-Dmms=$(usex mms enabled disabled)
-Dnfs=$(usex nfs enabled disabled)
-Dsignalfd=$(usex signalfd true false)
-Dsmbclient=$(usex samba enabled disabled)
-Dsoxr=$(usex libsoxr enabled disabled)
-Dsqlite=$(usex sqlite enabled disabled)
-Dsystemd=$(usex systemd enabled disabled)
-Dtest=$(usex test true false)
-Dudisks=$(usex udisks enabled disabled)
-Dupnp=$(usex upnp enabled disabled)
-Dwebdav=$(usex webdav enabled disabled)
-Dzeroconf=$(usex zeroconf avahi disabled)
-Dzlib=$(usex zlib enabled disabled)
-Dzzip=$(usex zip enabled disabled)
)
emesonargs+=(
-Dalsa=$(usex alsa enabled disabled)
-Dao=$(usex ao enabled disabled)
-Dfifo=$(usex fifo true false)
-Djack=$(usex jack enabled disabled)
-Dopenal=$(usex openal enabled disabled)
-Doss=$(usex oss enabled disabled)
-Dpipe=$(usex pipe true false)
-Dpulse=$(usex pulseaudio enabled disabled)
-Drecorder=$(usex recorder true false)
)
if use samba || use upnp; then
emesonargs+=( -Dneighbor=true )
fi
append-lfs-flags
append-ldflags "-L/usr/$(get_libdir)/sidplay/builders"
if use network; then
emesonargs+=(
-Dshine=disabled
-Dshout=enabled
-Dvorbisenc=$(usex vorbis enabled disabled)
-Dhttpd=true
-Dlame=$(usex lame enabled disabled)
-Dtwolame=$(usex twolame enabled disabled)
-Dwave_encoder=$(usex audiofile true false)
)
fi
emesonargs+=(
-Dadplug=$(usex adplug enabled disabled)
-Daudiofile=$(usex audiofile enabled disabled)
-Dfaad=$(usex faad enabled disabled)
-Dffmpeg=$(usex ffmpeg enabled disabled)
-Dflac=$(usex flac enabled disabled)
-Dfluidsynth=$(usex fluidsynth enabled disabled)
-Dgme=$(usex gme enabled disabled)
-Dmad=$(usex mad enabled disabled)
-Dmikmod=$(usex mikmod enabled disabled)
-Dmodplug=$(usex modplug enabled disabled)
-Dmpcdec=$(usex musepack enabled disabled)
-Dmpg123=$(usex mpg123 enabled disabled)
-Dopus=$(usex opus enabled disabled)
-Dsidplay=$(usex sid enabled disabled)
-Dsndfile=$(usex sndfile enabled disabled)
-Dvorbis=$(usex vorbis enabled disabled)
-Dwavpack=$(usex wavpack enabled disabled)
-Dwildmidi=$(usex wildmidi enabled disabled)
)
emesonargs+=(
-Dqobuz=$(usex qobuz enabled disabled)
-Dsoundcloud=$(usex soundcloud enabled disabled)
-Dtidal=$(usex tidal enabled disabled)
)
emesonargs+=(
--libdir="/usr/$(get_libdir)"
-Ddocumentation=false
-Dsndio=disabled #not yet in the tree
-Dsolaris_output=disabled
-Ddatabase=true
-Ddsd=true
-Dtcp=true
-Dsystemd_system_unit_dir="$(systemd_get_systemunitdir)"
-Dsystemd_user_unit_dir="$(systemd_get_userunitdir)"
)
if use icu; then
emesonargs+=( -Diconv=enabled )
else
emesonargs+=( -Diconv=disabled )
fi
meson_src_configure
}
src_install() {
meson_src_install
insinto /etc
newins doc/mpdconf.dist mpd.conf
insinto /etc/logrotate.d
newins "${FILESDIR}"/${PN}-0.21.1.logrotate ${PN}
newinitd "${FILESDIR}"/${PN}-0.21.4.init ${PN}
if use unicode; then
sed -i -e 's:^#filesystem_charset.*$:filesystem_charset "UTF-8":' \
"${ED}"/etc/mpd.conf || die "sed failed"
fi
doman doc/mpd.1
doman doc/mpd.conf.5
keepdir /var/lib/mpd
keepdir /var/lib/mpd/music
keepdir /var/lib/mpd/playlists
}
pkg_postinst() {
# also change the homedir if the user has existed before
usermod -d "/var/lib/mpd" mpd || die "usermod failed"
}

Binary file not shown.

@ -15,7 +15,7 @@ IUSE=""
QA_FLAGS_IGNORED="opt/${PN}/bin/tsMuxeR opt/${PN}/bin/tsMuxerGUI"
DEPEND="|| (
>=app-arch/upx-ucl-3.01[lzma]
>=app-arch/upx-3.01[lzma]
>=app-arch/upx-bin-3.01
)"
RDEPEND="

Binary file not shown.

@ -1 +1 @@
Tue, 06 Aug 2019 18:09:01 +0000
Wed, 07 Aug 2019 08:39:03 +0000

@ -1 +1 @@
Tue, 06 Aug 2019 18:09:01 +0000
Wed, 07 Aug 2019 08:39:03 +0000

Binary file not shown.

@ -0,0 +1,13 @@
DEFINED_PHASES=configure install postinst prepare setup test
DEPEND=bzip2? ( app-arch/bzip2 ) clamdtop? ( sys-libs/ncurses:0 ) iconv? ( virtual/libiconv ) metadata-analysis-api? ( dev-libs/json-c:= ) milter? ( || ( mail-filter/libmilter mail-mta/sendmail ) ) >=sys-libs/zlib-1.2.2:= !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) sys-devel/libtool || ( dev-libs/libpcre2 >dev-libs/libpcre-6 ) dev-libs/libmspack xml? ( dev-libs/libxml2 ) elibc_musl? ( sys-libs/fts-standalone ) !!<app-antivirus/clamav-0.99 virtual/pkgconfig test? ( dev-libs/check ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
DESCRIPTION=Clam Anti-Virus Scanner
EAPI=6
HOMEPAGE=https://www.clamav.net/
IUSE=bzip2 doc clamdtop iconv ipv6 libressl milter metadata-analysis-api selinux static-libs test uclibc xml
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris
LICENSE=GPL-2
RDEPEND=bzip2? ( app-arch/bzip2 ) clamdtop? ( sys-libs/ncurses:0 ) iconv? ( virtual/libiconv ) metadata-analysis-api? ( dev-libs/json-c:= ) milter? ( || ( mail-filter/libmilter mail-mta/sendmail ) ) >=sys-libs/zlib-1.2.2:= !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) sys-devel/libtool || ( dev-libs/libpcre2 >dev-libs/libpcre-6 ) dev-libs/libmspack xml? ( dev-libs/libxml2 ) elibc_musl? ( sys-libs/fts-standalone ) !!<app-antivirus/clamav-0.99 selinux? ( sec-policy/selinux-clamav )
SLOT=0
SRC_URI=https://www.clamav.net/downloads/production/clamav-0.101.3.tar.gz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca libtool f143db5a74ccd9ca28c1234deffede96 ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e preserve-libs ef207dc62baddfddfd39a164d9797648 systemd 71fd8d2065d102753fb9e4d20eaf3e9f toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56 user f8dcb46ee7b0bcdec51dac1ef4bfdfc9 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=0e83f888ec969be02b75f78a37f8cafb

@ -1,13 +1,13 @@
DEFINED_PHASES=compile configure install
DEPEND=>=dev-libs/ucl-1.02 !app-arch/upx !app-arch/upx-bin dev-lang/perl
DEPEND=>=dev-libs/ucl-1.02 !app-arch/upx-bin dev-lang/perl
DESCRIPTION=Ultimate Packer for eXecutables (free version using UCL compression and not NRV)
EAPI=5
HOMEPAGE=http://upx.sourceforge.net/
IUSE=lzma zlib
KEYWORDS=~amd64 ~ppc ~sparc ~x86 ~x86-fbsd
LICENSE=GPL-2+ UPX-exception
RDEPEND=>=dev-libs/ucl-1.02 !app-arch/upx !app-arch/upx-bin
RDEPEND=>=dev-libs/ucl-1.02 !app-arch/upx-bin
SLOT=0
SRC_URI=http://upx.sourceforge.net/download/upx-3.91-src.tar.bz2 lzma? ( mirror://sourceforge/sevenzip/lzma465.tar.bz2 )
_eclasses_=desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=40f737661bd312095ee715342a3068e1
_md5_=a96fabcf89c9f7f1d08536d07dee9eb1

@ -4,9 +4,9 @@ EAPI=5
HOMEPAGE=http://upx.sourceforge.net/
KEYWORDS=~amd64 ~ppc ~x86
LICENSE=GPL-2
RDEPEND=!app-arch/upx-ucl
RDEPEND=!app-arch/upx
RESTRICT=strip
SLOT=0
SRC_URI=x86? ( http://upx.sourceforge.net/download/upx-3.91-i386_linux.tar.bz2 ) amd64? ( http://upx.sourceforge.net/download/upx-3.91-amd64_linux.tar.bz2 ) ppc? ( http://upx.sourceforge.net/download/upx-3.91-powerpc_linux.tar.bz2 ) arm? ( http://upx.sourceforge.net/download/upx-3.91-armeb_linux.tar.bz2 ) mips? ( http://upx.sourceforge.net/download/upx-3.91-mipsel_linux.tar.bz2 )
_eclasses_=pax-utils db85a3c508cf82c45f24b2723791cc93
_md5_=901c44952b92f2f98eae87a5f67788c0
_md5_=fd2579fdbcf3412252c2eac181e7ccfa

@ -1,14 +0,0 @@
BDEPEND=dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.60.0:5 handbook? ( >=kde-frameworks/kdoctools-5.60.0:5 )
DEFINED_PHASES=compile configure install nofetch postinst postrm preinst prepare setup test unpack
DEPEND=>=kde-frameworks/kbookmarks-5.60.0:5 >=kde-frameworks/kcmutils-5.60.0:5 >=kde-frameworks/kcodecs-5.60.0:5 >=kde-frameworks/kcompletion-5.60.0:5 >=kde-frameworks/kconfig-5.60.0:5 >=kde-frameworks/kconfigwidgets-5.60.0:5 >=kde-frameworks/kcoreaddons-5.60.0:5 >=kde-frameworks/kcrash-5.60.0:5 >=kde-frameworks/kdbusaddons-5.60.0:5 >=kde-frameworks/ki18n-5.60.0:5 >=kde-frameworks/kiconthemes-5.60.0:5 >=kde-frameworks/kio-5.60.0:5 >=kde-frameworks/kjobwidgets-5.60.0:5 >=kde-frameworks/knewstuff-5.60.0:5 >=kde-frameworks/kparts-5.60.0:5 >=kde-frameworks/kservice-5.60.0:5 >=kde-frameworks/kwidgetsaddons-5.60.0:5 >=kde-frameworks/kxmlgui-5.60.0:5 >=dev-qt/qtdeclarative-5.12.3:5 >=dev-qt/qtgui-5.12.3:5 >=dev-qt/qtnetwork-5.12.3:5 >=dev-qt/qtprintsupport-5.12.3:5 >=dev-qt/qtscript-5.12.3:5[scripttools] >=dev-qt/qtwidgets-5.12.3:5 >=dev-qt/qtxml-5.12.3:5 crypt? ( app-crypt/qca:2[qt5(+)] ) designer? ( >=dev-qt/designer-5.12.3:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.12.3:5 ) >=dev-qt/qtcore-5.12.3:5
DESCRIPTION=Hex editor by KDE
EAPI=7
HOMEPAGE=https://www.kde.org/applications/utilities/okteta https://utils.kde.org/projects/okteta/
IUSE=crypt designer test debug +handbook test
KEYWORDS=amd64 x86
LICENSE=GPL-2
RDEPEND=>=kde-frameworks/kbookmarks-5.60.0:5 >=kde-frameworks/kcmutils-5.60.0:5 >=kde-frameworks/kcodecs-5.60.0:5 >=kde-frameworks/kcompletion-5.60.0:5 >=kde-frameworks/kconfig-5.60.0:5 >=kde-frameworks/kconfigwidgets-5.60.0:5 >=kde-frameworks/kcoreaddons-5.60.0:5 >=kde-frameworks/kcrash-5.60.0:5 >=kde-frameworks/kdbusaddons-5.60.0:5 >=kde-frameworks/ki18n-5.60.0:5 >=kde-frameworks/kiconthemes-5.60.0:5 >=kde-frameworks/kio-5.60.0:5 >=kde-frameworks/kjobwidgets-5.60.0:5 >=kde-frameworks/knewstuff-5.60.0:5 >=kde-frameworks/kparts-5.60.0:5 >=kde-frameworks/kservice-5.60.0:5 >=kde-frameworks/kwidgetsaddons-5.60.0:5 >=kde-frameworks/kxmlgui-5.60.0:5 >=dev-qt/qtdeclarative-5.12.3:5 >=dev-qt/qtgui-5.12.3:5 >=dev-qt/qtnetwork-5.12.3:5 >=dev-qt/qtprintsupport-5.12.3:5 >=dev-qt/qtscript-5.12.3:5[scripttools] >=dev-qt/qtwidgets-5.12.3:5 >=dev-qt/qtxml-5.12.3:5 crypt? ( app-crypt/qca:2[qt5(+)] ) designer? ( >=dev-qt/designer-5.12.3:5 ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.60.0:5 kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.12.3:5
SLOT=5
SRC_URI=mirror://kde/stable/okteta/0.26.1/src/okteta-0.26.1.tar.xz
_eclasses_=cmake-utils 91d6ef31dc426240577497cacbf2508c eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca kde5 b83032d00dfb7dbc66eec7c703260187 kde5-functions eff709ecafc59979bd74b425c5e41a33 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56 virtualx 53625127887b62eabb9ec61d3d943462 xdg c7ba313ea1eaf266f95cc6235f7d6a07 xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=a9720905a6fe65b4fa470797f15fe811

@ -0,0 +1,14 @@
BDEPEND=>=dev-lang/go-1.10
DEFINED_PHASES=compile install unpack
DEPEND=>=app-crypt/gpgme-1.5.5:= >=dev-libs/libassuan-2.4.3:= dev-libs/libgpg-error:= >=sys-fs/btrfs-progs-4.0.1 >=sys-fs/lvm2-2.02.145:= dev-go/go-md2man
DESCRIPTION=Command line utility foroperations on container images and image repositories
EAPI=7
HOMEPAGE=https://github.com/containers/skopeo
KEYWORDS=~amd64
LICENSE=Apache-2.0
RDEPEND=>=app-crypt/gpgme-1.5.5:= >=dev-libs/libassuan-2.4.3:= dev-libs/libgpg-error:= >=sys-fs/btrfs-progs-4.0.1 >=sys-fs/lvm2-2.02.145:=
RESTRICT=test
SLOT=0
SRC_URI=https://github.com/containers/skopeo/archive/v0.1.39.tar.gz -> skopeo-0.1.39.tar.gz
_eclasses_=bash-completion-r1 47a7402d95930413ce25ba8d857339bb golang-base c57d2c3f9e1a02d0feb8b87c7b689892 golang-vcs-snapshot 12177e83bede6f7fb87eae383864b40b multilib 1d91b03d42ab6308b5f4f6b598ed110e toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56
_md5_=ba01480418c307a8d6893adece6fbbed

@ -0,0 +1,12 @@
DEFINED_PHASES=install prepare
DEPEND=sys-libs/ncurses:0= sys-libs/readline:0=
DESCRIPTION=The missing terminal file browser for X
EAPI=6
HOMEPAGE=https://github.com/jarun/nnn
KEYWORDS=~amd64 ~x86
LICENSE=BSD-2
RDEPEND=sys-libs/ncurses:0= sys-libs/readline:0=
SLOT=0
SRC_URI=https://github.com/jarun/nnn/archive/v2.6.tar.gz -> nnn-2.6.tar.gz
_eclasses_=bash-completion-r1 47a7402d95930413ce25ba8d857339bb multilib 1d91b03d42ab6308b5f4f6b598ed110e toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56
_md5_=7a825e94446649dc45e2f6f13d26a10b

@ -5,11 +5,11 @@ DESCRIPTION=The PHP language runtime engine
EAPI=7
HOMEPAGE=https://php.net/
IUSE=embed +cli cgi fpm apache2 phpdbg threads acl bcmath berkdb bzip2 calendar cdb cjk coverage crypt +ctype curl debug enchant exif +fileinfo +filter firebird +flatfile ftp gd gdbm gmp +hash +iconv imap inifile intl iodbc ipv6 +json kerberos ldap ldap-sasl libedit libressl mhash mssql mysql mysqli nls oci8-instant-client odbc +opcache pcntl pdo +phar +posix postgres qdbm readline recode selinux +session session-mm sharedmem +simplexml snmp soap sockets spell sqlite ssl sysvipc systemd test tidy +tokenizer truetype unicode wddx webp +xml xmlreader xmlwriter xmlrpc xpm xslt zip zlib
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
KEYWORDS=~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
LICENSE=PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
RDEPEND=>=app-eselect/eselect-php-0.9.1[apache2?,fpm?] >=dev-libs/libpcre-8.32[unicode] fpm? ( acl? ( sys-apps/acl ) ) apache2? ( || ( >=www-servers/apache-2.4[apache2_modules_unixd,threads=] <www-servers/apache-2.4[threads=] ) ) berkdb? ( || ( sys-libs/db:5.3 sys-libs/db:5.1 sys-libs/db:4.8 sys-libs/db:4.7 sys-libs/db:4.6 sys-libs/db:4.5 ) ) bzip2? ( app-arch/bzip2:0= ) cdb? ( || ( dev-db/cdb dev-db/tinycdb ) ) coverage? ( dev-util/lcov ) crypt? ( >=dev-libs/libmcrypt-2.4 ) curl? ( >=net-misc/curl-7.10.5 ) enchant? ( <app-text/enchant-2.0:0 ) firebird? ( dev-db/firebird ) gd? ( virtual/jpeg:0 media-libs/libpng:0= sys-libs/zlib ) gdbm? ( >=sys-libs/gdbm-1.8.0:0= ) gmp? ( dev-libs/gmp:0= ) iconv? ( virtual/libiconv ) imap? ( virtual/imap-c-client[kerberos=,ssl=] ) intl? ( dev-libs/icu:= ) iodbc? ( dev-db/libiodbc ) kerberos? ( virtual/krb5 ) ldap? ( >=net-nds/openldap-1.2.11 ) ldap-sasl? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 ) libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) ) mssql? ( dev-db/freetds[mssql] ) nls? ( sys-devel/gettext ) oci8-instant-client? ( dev-db/oracle-instantclient-basic ) odbc? ( >=dev-db/unixODBC-1.8.13 ) postgres? ( dev-db/postgresql:* ) qdbm? ( dev-db/qdbm ) readline? ( sys-libs/readline:0= ) recode? ( app-text/recode ) session-mm? ( dev-libs/mm ) simplexml? ( >=dev-libs/libxml2-2.6.8 ) snmp? ( >=net-analyzer/net-snmp-5.2 ) soap? ( >=dev-libs/libxml2-2.6.8 ) spell? ( >=app-text/aspell-0.50 ) sqlite? ( >=dev-db/sqlite-3.7.6.3 ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) ) tidy? ( || ( app-text/tidy-html5 app-text/htmltidy ) ) truetype? ( =media-libs/freetype-2* ) unicode? ( dev-libs/oniguruma:= ) wddx? ( >=dev-libs/libxml2-2.6.8 ) webp? ( media-libs/libwebp:0= ) xml? ( >=dev-libs/libxml2-2.6.8 ) xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv ) xmlreader? ( >=dev-libs/libxml2-2.6.8 ) xmlwriter? ( >=dev-libs/libxml2-2.6.8 ) xpm? ( x11-libs/libXpm ) xslt? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 ) zip? ( sys-libs/zlib:0= ) zlib? ( sys-libs/zlib:0= ) virtual/mta fpm? ( selinux? ( sec-policy/selinux-phpfpm ) systemd? ( sys-apps/systemd ) )
REQUIRED_USE=|| ( cli cgi fpm apache2 embed phpdbg ) cli? ( ^^ ( readline libedit ) ) truetype? ( gd zlib ) webp? ( gd zlib ) cjk? ( gd zlib ) exif? ( gd zlib ) xpm? ( gd zlib ) gd? ( zlib ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( || ( xml iconv ) ) xmlreader? ( xml ) xslt? ( xml ) ldap-sasl? ( ldap ) mhash? ( hash ) phar? ( hash ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysqli !mysql ) session-mm? ( session !threads ) mysql? ( hash || ( mysqli pdo ) ) mysqli? ( hash )
SLOT=7.1
SRC_URI=https://php.net/distributions/php-7.1.31.tar.xz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca libtool f143db5a74ccd9ca28c1234deffede96 multilib 1d91b03d42ab6308b5f4f6b598ed110e systemd 71fd8d2065d102753fb9e4d20eaf3e9f toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56
_md5_=f0e7e506452574e8973adb2097c8fd87
_md5_=054094930f35bb7bd14bb8444c32e8f0

@ -5,11 +5,11 @@ DESCRIPTION=The PHP language runtime engine
EAPI=7
HOMEPAGE=https://php.net/
IUSE=embed +cli cgi fpm apache2 phpdbg threads acl argon2 bcmath berkdb bzip2 calendar cdb cjk coverage +ctype curl debug enchant exif +fileinfo +filter firebird +flatfile ftp gd gdbm gmp +hash +iconv imap inifile intl iodbc ipv6 +json kerberos ldap ldap-sasl libedit libressl lmdb mhash mssql mysql mysqli nls oci8-instant-client odbc +opcache pcntl pdo +phar +posix postgres qdbm readline recode selinux +session session-mm sharedmem +simplexml snmp soap sockets sodium spell sqlite ssl sysvipc systemd test tidy +tokenizer tokyocabinet truetype unicode wddx webp +xml xmlreader xmlwriter xmlrpc xpm xslt zip zip-encryption zlib
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
KEYWORDS=~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
LICENSE=PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
RDEPEND=>=app-eselect/eselect-php-0.9.1[apache2?,fpm?] >=dev-libs/libpcre-8.32[unicode] fpm? ( acl? ( sys-apps/acl ) ) apache2? ( || ( >=www-servers/apache-2.4[apache2_modules_unixd,threads=] <www-servers/apache-2.4[threads=] ) ) argon2? ( app-crypt/argon2:= ) berkdb? ( || ( sys-libs/db:5.3 sys-libs/db:5.1 sys-libs/db:4.8 sys-libs/db:4.7 sys-libs/db:4.6 sys-libs/db:4.5 ) ) bzip2? ( app-arch/bzip2:0= ) cdb? ( || ( dev-db/cdb dev-db/tinycdb ) ) coverage? ( dev-util/lcov ) curl? ( >=net-misc/curl-7.10.5 ) enchant? ( <app-text/enchant-2.0:0 ) firebird? ( dev-db/firebird ) gd? ( virtual/jpeg:0 media-libs/libpng:0= sys-libs/zlib ) gdbm? ( >=sys-libs/gdbm-1.8.0:0= ) gmp? ( dev-libs/gmp:0= ) iconv? ( virtual/libiconv ) imap? ( virtual/imap-c-client[kerberos=,ssl=] ) intl? ( dev-libs/icu:= ) iodbc? ( dev-db/libiodbc ) kerberos? ( virtual/krb5 ) ldap? ( >=net-nds/openldap-1.2.11 ) ldap-sasl? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 ) libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) ) lmdb? ( dev-db/lmdb:= ) mssql? ( dev-db/freetds[mssql] ) nls? ( sys-devel/gettext ) oci8-instant-client? ( dev-db/oracle-instantclient-basic ) odbc? ( >=dev-db/unixODBC-1.8.13 ) postgres? ( dev-db/postgresql:* ) qdbm? ( dev-db/qdbm ) readline? ( sys-libs/readline:0= ) recode? ( app-text/recode ) session-mm? ( dev-libs/mm ) simplexml? ( >=dev-libs/libxml2-2.6.8 ) snmp? ( >=net-analyzer/net-snmp-5.2 ) soap? ( >=dev-libs/libxml2-2.6.8 ) sodium? ( dev-libs/libsodium:= ) spell? ( >=app-text/aspell-0.50 ) sqlite? ( >=dev-db/sqlite-3.7.6.3 ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) ) tidy? ( || ( app-text/tidy-html5 app-text/htmltidy ) ) tokyocabinet? ( dev-db/tokyocabinet ) truetype? ( =media-libs/freetype-2* ) unicode? ( dev-libs/oniguruma:= ) wddx? ( >=dev-libs/libxml2-2.6.8 ) webp? ( media-libs/libwebp:0= ) xml? ( >=dev-libs/libxml2-2.6.8 ) xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv ) xmlreader? ( >=dev-libs/libxml2-2.6.8 ) xmlwriter? ( >=dev-libs/libxml2-2.6.8 ) xpm? ( x11-libs/libXpm ) xslt? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 ) zip? ( sys-libs/zlib:0= ) zip-encryption? ( >=dev-libs/libzip-1.2.0:= ) zlib? ( sys-libs/zlib:0= ) virtual/mta fpm? ( selinux? ( sec-policy/selinux-phpfpm ) systemd? ( sys-apps/systemd ) )
REQUIRED_USE=|| ( cli cgi fpm apache2 embed phpdbg ) cli? ( ^^ ( readline libedit ) ) truetype? ( gd zlib ) webp? ( gd zlib ) cjk? ( gd zlib ) exif? ( gd zlib ) xpm? ( gd zlib ) gd? ( zlib ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( || ( xml iconv ) ) xmlreader? ( xml ) xslt? ( xml ) ldap-sasl? ( ldap ) mhash? ( hash ) phar? ( hash ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysqli !mysql ) session-mm? ( session !threads ) mysql? ( hash || ( mysqli pdo ) ) mysqli? ( hash ) zip-encryption? ( zip )
SLOT=7.2
SRC_URI=https://php.net/distributions/php-7.2.21.tar.xz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca libtool f143db5a74ccd9ca28c1234deffede96 multilib 1d91b03d42ab6308b5f4f6b598ed110e systemd 71fd8d2065d102753fb9e4d20eaf3e9f toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56
_md5_=732954738d8d4257427a12004af41d69
_md5_=88ef83ea533578c404f9f31051608242

@ -5,11 +5,11 @@ DESCRIPTION=The PHP language runtime engine
EAPI=7
HOMEPAGE=https://php.net/
IUSE=embed +cli cgi fpm apache2 phpdbg threads acl argon2 bcmath berkdb bzip2 calendar cdb cjk coverage +ctype curl debug enchant exif +fileinfo +filter firebird +flatfile ftp gd gdbm gmp +hash +iconv imap inifile intl iodbc ipv6 +json kerberos ldap ldap-sasl libedit libressl lmdb mhash mssql mysql mysqli nls oci8-instant-client odbc +opcache pcntl pdo +phar +posix postgres qdbm readline recode selinux +session session-mm sharedmem +simplexml snmp soap sockets sodium spell sqlite ssl sysvipc systemd test tidy +tokenizer tokyocabinet truetype unicode wddx webp +xml xmlreader xmlwriter xmlrpc xpm xslt zip zip-encryption zlib
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
KEYWORDS=~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
LICENSE=PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
RDEPEND=>=app-eselect/eselect-php-0.9.1[apache2?,fpm?] >=dev-libs/libpcre2-10.30[unicode] fpm? ( acl? ( sys-apps/acl ) ) apache2? ( || ( >=www-servers/apache-2.4[apache2_modules_unixd,threads=] <www-servers/apache-2.4[threads=] ) ) argon2? ( app-crypt/argon2:= ) berkdb? ( || ( sys-libs/db:5.3 sys-libs/db:5.1 sys-libs/db:4.8 sys-libs/db:4.7 sys-libs/db:4.6 sys-libs/db:4.5 ) ) bzip2? ( app-arch/bzip2:0= ) cdb? ( || ( dev-db/cdb dev-db/tinycdb ) ) coverage? ( dev-util/lcov ) curl? ( >=net-misc/curl-7.10.5 ) enchant? ( <app-text/enchant-2.0:0 ) firebird? ( dev-db/firebird ) gd? ( virtual/jpeg:0 media-libs/libpng:0= >=sys-libs/zlib-1.2.0.4 ) gdbm? ( >=sys-libs/gdbm-1.8.0:0= ) gmp? ( dev-libs/gmp:0= ) iconv? ( virtual/libiconv ) imap? ( virtual/imap-c-client[kerberos=,ssl=] ) intl? ( dev-libs/icu:= ) iodbc? ( dev-db/libiodbc ) kerberos? ( virtual/krb5 ) ldap? ( >=net-nds/openldap-1.2.11 ) ldap-sasl? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 ) libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) ) lmdb? ( dev-db/lmdb:= ) mssql? ( dev-db/freetds[mssql] ) nls? ( sys-devel/gettext ) oci8-instant-client? ( dev-db/oracle-instantclient-basic ) odbc? ( >=dev-db/unixODBC-1.8.13 ) postgres? ( dev-db/postgresql:* ) qdbm? ( dev-db/qdbm ) readline? ( sys-libs/readline:0= ) recode? ( app-text/recode ) session-mm? ( dev-libs/mm ) simplexml? ( >=dev-libs/libxml2-2.6.8 ) snmp? ( >=net-analyzer/net-snmp-5.2 ) soap? ( >=dev-libs/libxml2-2.6.8 ) sodium? ( dev-libs/libsodium:= ) spell? ( >=app-text/aspell-0.50 ) sqlite? ( >=dev-db/sqlite-3.7.6.3 ) ssl? ( !libressl? ( >=dev-libs/openssl-1.0.1:0= ) libressl? ( dev-libs/libressl:0= ) ) tidy? ( || ( app-text/tidy-html5 app-text/htmltidy ) ) tokyocabinet? ( dev-db/tokyocabinet ) truetype? ( =media-libs/freetype-2* ) unicode? ( dev-libs/oniguruma:= ) wddx? ( >=dev-libs/libxml2-2.6.8 ) webp? ( media-libs/libwebp:0= ) xml? ( >=dev-libs/libxml2-2.6.8 ) xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv ) xmlreader? ( >=dev-libs/libxml2-2.6.8 ) xmlwriter? ( >=dev-libs/libxml2-2.6.8 ) xpm? ( x11-libs/libXpm ) xslt? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 ) zip? ( >=sys-libs/zlib-1.2.0.4:0= ) zip-encryption? ( >=dev-libs/libzip-1.2.0:= ) zlib? ( >=sys-libs/zlib-1.2.0.4:0= ) virtual/mta fpm? ( selinux? ( sec-policy/selinux-phpfpm ) systemd? ( sys-apps/systemd ) )
REQUIRED_USE=|| ( cli cgi fpm apache2 embed phpdbg ) cli? ( ^^ ( readline libedit ) ) truetype? ( gd zlib ) webp? ( gd zlib ) cjk? ( gd zlib ) exif? ( gd zlib ) xpm? ( gd zlib ) gd? ( zlib ) simplexml? ( xml ) soap? ( xml ) wddx? ( xml ) xmlrpc? ( || ( xml iconv ) ) xmlreader? ( xml ) xslt? ( xml ) ldap-sasl? ( ldap ) mhash? ( hash ) phar? ( hash ) qdbm? ( !gdbm ) readline? ( !libedit ) recode? ( !imap !mysqli !mysql ) session-mm? ( session !threads ) mysql? ( || ( mysqli pdo ) ) zip-encryption? ( zip )
SLOT=7.3
SRC_URI=https://php.net/distributions/php-7.3.8.tar.xz
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca libtool f143db5a74ccd9ca28c1234deffede96 multilib 1d91b03d42ab6308b5f4f6b598ed110e systemd 71fd8d2065d102753fb9e4d20eaf3e9f toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56
_md5_=54513d62aa5957eed7dbfb44f1416950
_md5_=17b1912e894127f5fbc971725253c896

@ -5,10 +5,10 @@ DESCRIPTION=Cross-distro effort for providing metadata for software in the Linux
EAPI=7
HOMEPAGE=https://www.freedesktop.org/wiki/Distributions/AppStream/
IUSE=apt +introspection qt5 test
KEYWORDS=~amd64 ~arm ~arm64 ~x86
KEYWORDS=~amd64 ~arm arm64 ~x86
LICENSE=LGPL-2.1+ GPL-2+
RDEPEND=dev-db/lmdb:= >=dev-libs/glib-2.54:2 dev-libs/libxml2:2 dev-libs/libyaml dev-libs/snowball-stemmer introspection? ( >=dev-libs/gobject-introspection-1.56:= ) qt5? ( dev-qt/qtcore:5 )
SLOT=0/4
SRC_URI=https://www.freedesktop.org/software/appstream/releases/AppStream-0.12.7.tar.xz
_eclasses_=meson 22b6eb3dc04a3ba65083811a5e17c913 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56 xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=3baa58071c736d103b8249732559015b
_md5_=417ec2f4058ddcc4c1acc937bf35e253

@ -0,0 +1,13 @@
DEFINED_PHASES=compile configure install prepare test
DEPEND=glib? ( dev-libs/glib:2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] )
DESCRIPTION=Embedded Linux Library provides core, low-level functionality for system daemons
EAPI=7
HOMEPAGE=https://01.org/ell
IUSE=glib pie abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_riscv_lp64d abi_riscv_lp64 abi_s390_32 abi_s390_64
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
LICENSE=LGPL-2.1
RDEPEND=glib? ( dev-libs/glib:2[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] )
SLOT=0
SRC_URI=https://mirrors.edge.kernel.org/pub/linux/libs/ell/ell-0.21.tar.xz
_eclasses_=eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca multibuild 40fe59465edacd730c644ec2bc197809 multilib 1d91b03d42ab6308b5f4f6b598ed110e multilib-build 0d0c25170069d06d0eb233154229af97 multilib-minimal 8bddda43703ba94d8341f4e247f97566 toolchain-funcs a3a237ef6c0c58546bf23b2c382f9e56
_md5_=abccb2a5a62c4f4a00f2fa35575488a9

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save